const FluencyComprehensionSummative=require('../models/FluencyComprehensionSummative');
var fluency_comprehension_summative_questions={};
//get summative paragraphs
fluency_comprehension_summative_questions.getFluencyComprehensionSummativeParagraphs=(req,res)=>{
     //validation
     var number_regex=/^[0-9]*$/;
     if(!req.query.limit) return res.send({status:0,messsge:"Please provide limit!"});
     if(!number_regex.test(req.query.limit)) return res.send({status:0,message:"Please enter limit as numeric value!"});
     if(!req.query.page_no) return res.send({status:0,messsge:"Please provide page number!"});
     if(!number_regex.test(req.query.page_no)) return res.send({status:0,message:"Please enter page number as numeric value!"});
     if(parseInt(req.query.page_no)==0) return res.send({status:0,message:"Please enter page number greater than 0!"});
     if(!req.query.grade_level) return res.send({status:0,messsge:"Please provide student grade level!"});
     var grade_level_type=['kindergarten','1st grade','2nd grade','3rd grade'];
     if(!grade_level_type.includes(req.query.grade_level.toLowerCase())) return res.send({status:0,message:"Please provide valid grade level!"});
     if(!req.query.session) return res.send({status:0,messsge:"Please provide time of the year!"});
     var data={
         grade:req.query.grade_level,
         session:req.query.session,
         limit:parseInt(req.query.limit),
         offset:(parseInt(req.query.page_no) -1 ) * parseInt(req.query.limit),
     } 
     FluencyComprehensionSummative.getFluencyComprehensionSummativeParagraphs(data).then(result=>{
         return res.send(result);
     }).catch(error => {
         return res.send(error);
     });
}
//get summative questions
fluency_comprehension_summative_questions.getFluencyComprehensionSummativeQuestions=(req,res)=>{
   //validation
   if(!req.query.paragraph_id) return res.send({status:0,messsge:"Please provide paragraph id!"});
   var data={
        paragraph_id:req.query.paragraph_id,
        is_deleted:0
   } 
   FluencyComprehensionSummative.getFluencyComprehensionSummativeQuestions(data).then(result=>{
       return res.send(result);
   }).catch(error => {
       return res.send(error);
   });
}
//save test result
fluency_comprehension_summative_questions.saveFluencyComprehensionTestResult=(req,res)=>{
    //validation
    if(req.fileTypeError) return res.send({status:0,message:req.fileTypeError});
    if(!req.file) return res.send({status:0,message:"Please provide a record audio file."});
    if(!req.body.paragraph_id) return res.send({status:0,messsge:"Please provide paragraph id!"});
    if(!req.body.paragraph_sequence) return res.send({status:0,messsge:"Please provide paragraph squence!"});
    if(!req.body.student_teachers_id) return res.send({status:0,messsge:"Please provide student teachers id!"});
    if(!req.body.grade_level) return res.send({status:0,messsge:"Please provide student grade level!"});
    var grade_level_type=['kindergarten','1st grade','2nd grade','3rd grade'];
    if(!grade_level_type.includes(req.body.grade_level.toLowerCase())) return res.send({status:0,message:"Please provide valid grade level!"});
    if(!req.body.session) return res.send({status:0,messsge:"Please provide time of the year!"});
    if(!req.body.miscued_word_count) return res.send({status:0,messsge:"Please provide miscued word count!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.miscued_word_count)) return res.send({status:0,messsge:"Miscued word count must be numeric value!"});
    if(parseInt(req.body.miscued_word_count)<0) return res.send({status:0,messsge:"Miscued word count must be positive value!"});
    var regex_number=/^[0-9]*$/;
    var is_discontinue_test_type=['0','1'];
    if(!is_discontinue_test_type.includes(req.body.is_discontinue_test)) return res.send({status:0,messsge:"Please provide valid discontinue test status!"});
    if(!req.body.word_read_count) return res.send({status:0,messsge:"Please provide word read count!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.word_read_count)) return res.send({status:0,messsge:"Word read count must be numeric value!"});
    if(parseInt(req.body.word_read_count)<0) return res.send({status:0,messsge:"Word read count must be positive value!"});
    if(!req.body.seconds) return res.send({status:0,messsge:"Please provide total seconds!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.seconds)) return res.send({status:0,messsge:"Total seconds must be numeric value!"});
    if(parseInt(req.body.word_read_count)<0) return res.send({status:0,messsge:"Total seconds must be positive value!"});
    if(!req.body.question_answers) return res.send({status:0,messsge:"Please provide question answers!"});
    try{
        var question_answers_arr=JSON.parse(req.body.question_answers);
        question_answers_arr.map(question_answers=>{ 
            if(question_answers.question_no==undefined || question_answers.answer==undefined)
                return res.send({status:0,messsge:"Please provide valid question answers format!"});
        });
    }catch(err) {
        return res.send({status:0,message:"Please provide question answers as an array!"});
    }
    var data={
        student_teachers_id:req.body.student_teachers_id,
        student_grade_level:req.body.grade_level,
        session:req.body.session,
        record_audio_file:req.file_path+req.file.filename,
        paragraph_id:req.body.paragraph_id,
        paragraph_sequence:req.body.paragraph_sequence,
        question_answers:JSON.parse(req.body.question_answers),
        count_correct_answer:0,
        miscued_word_count:parseInt(req.body.miscued_word_count),
        is_discontinue_test:parseInt(req.body.is_discontinue_test),
        word_read_count:parseInt(req.body.word_read_count),
        total_word_read_correctly:parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count),
        seconds:parseInt(req.body.seconds),
        reading_rate:parseFloat(parseInt(req.body.word_read_count) / parseInt(req.body.seconds)).toFixed(2),
        accuracy_percentage:(parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count))>0 ? parseFloat((parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count)) / parseInt(req.body.word_read_count) * 100).toFixed(2) : 0,
        accumaticity:parseFloat((parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count)) / parseInt(req.body.seconds) * 60).toFixed(2)
    } 
    //Save test result
    FluencyComprehensionSummative.saveFluencyComprehensionTestResult(data).then(result=>{
        return res.send(result);
    }).catch(error => {
        return res.send(error);
    });
    
}
module.exports=fluency_comprehension_summative_questions;
