
const moment=require('moment');
const emailValidator=require('email-validator');
const SentenceFluencyTestResult=require('../models/SentenceFluencyTestResult');
var sentence_fluency_test_results={};
//Save Sentence Fluency Test Result
sentence_fluency_test_results.saveSentenceFluencyTestResult=(req,res)=>{
	//validation
    if(!req.body.student_teachers_id) return res.send({status:0,messsge:"Please provide student teachers id!"});
    if(!req.body.grade_level) return res.send({status:0,messsge:"Please provide student grade level!"});
    var grade_level_type=['kindergarten','1st grade','2nd grade','3rd grade'];
    if(!grade_level_type.includes(req.body.grade_level.toLowerCase())) return res.send({status:0,message:"Please provide valid grade level!"});
    if(!req.body.test_type) return res.send({status:0,messsge:"Please provide test type!"});
    var test_type=['summative','formative'];
	if(!test_type.includes(req.body.test_type)) return res.send({status:0,message:"Please provide valid test type!"});
    if(!req.body.session) return res.send({status:0,messsge:"Please provide time of the year!"});
    if(!req.body.miscued_word_count) return res.send({status:0,messsge:"Please provide miscued word count!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.miscued_word_count)) return res.send({status:0,messsge:"Miscued word count must be numeric value!"});
    if(parseInt(req.body.miscued_word_count)<0) return res.send({status:0,messsge:"Miscued word count must be positive value!"});
    var regex_number=/^[0-9]*$/;
    var is_discontinue_test_type=['0','1'];
    if(!is_discontinue_test_type.includes(req.body.is_discontinue_test)) return res.send({status:0,messsge:"Please provide valid discontinue test status!"});
    if(!req.body.word_read_count) return res.send({status:0,messsge:"Please provide word read count!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.word_read_count)) return res.send({status:0,messsge:"Word read count must be numeric value!"});
    if(parseInt(req.body.word_read_count)<0) return res.send({status:0,messsge:"Word read count must be positive value!"});
    if(!req.body.seconds) return res.send({status:0,messsge:"Please provide total seconds!"});
    var regex_number=/^[0-9]*$/;
    if(!regex_number.test(req.body.seconds)) return res.send({status:0,messsge:"Total seconds must be numeric value!"});
    if(parseInt(req.body.word_read_count)<0) return res.send({status:0,messsge:"Total seconds must be positive value!"});
    var data={
        student_teachers_id:req.body.student_teachers_id,
        student_grade_level:req.body.grade_level,
        test_type:req.body.test_type,
        session:req.body.session,
        miscued_word_count:parseInt(req.body.miscued_word_count),
        is_discontinue_test:parseInt(req.body.is_discontinue_test),
        word_read_count:parseInt(req.body.word_read_count),
        total_word_read_correctly:parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count),
        seconds:parseInt(req.body.seconds),
        reading_rate:parseFloat(parseInt(req.body.word_read_count) / parseInt(req.body.seconds)).toFixed(2),
        accuracy_percentage:parseFloat((parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count)) / parseInt(req.body.word_read_count) * 100).toFixed(2),
        accumaticity:parseFloat((parseInt(req.body.word_read_count) - parseInt(req.body.miscued_word_count)) / parseInt(req.body.seconds) * 60).toFixed(2)
	} 
	//Save test result
	SentenceFluencyTestResult.saveSentenceFluencyTestResult(data).then(result=>{
		return res.send(result);
    }).catch(error => {
        return res.send(error);
    });
	
}
module.exports=sentence_fluency_test_results;
