
const moment=require('moment');
const emailValidator=require('email-validator');
const TestResult=require('../models/TestResult');
var test_results={};
//Save test result
test_results.saveTestResult=(req,res)=>{
	//validation
    if(!req.body.student_teachers_id) return res.send({status:0,messsge:"Please provide student teachers id!"});
    if(!req.body.grade_level) return res.send({status:0,messsge:"Please provide student grade level!"});
    var grade_level_type=['kindergarten','1st grade','2nd grade','3rd grade'];
	if(!grade_level_type.includes(req.body.grade_level.toLowerCase())) return res.send({status:0,message:"Please provide valid grade level!"});
    if(!req.body.test_type) return res.send({status:0,messsge:"Please provide test type!"});
    var test_type=['summative','formative'];
	if(!test_type.includes(req.body.test_type)) return res.send({status:0,message:"Please provide valid test type!"});
    if(!req.body.session) return res.send({status:0,messsge:"Please provide time of the year!"});
    /* 	
    Fall = August 1 – November 30
    Winter = December 1 – Feb 28/29
    Spring = March 1 - July 31
    */
    /* var year=moment().year();
    var today_date = moment(new Date(), "DD/MM/YYYY");
    var fall_start_date   = moment("01/08/"+year, "DD/MM/YYYY");
    var fall_End_date     = moment("30/11/"+year, "DD/MM/YYYY");

    var winter_start_date   = moment("01/12/"+year, "DD/MM/YYYY");
    var winter_End_date     = moment("28/02/"+year, "DD/MM/YYYY");

    var spring_start_date   = moment("01/03/"+year, "DD/MM/YYYY");
    var spring_End_date     = moment("31/07/"+year, "DD/MM/YYYY");

    if(today_date.isBetween(fall_start_date, fall_End_date)) {
        var session="Fall";
    }else if(today_date.isBetween(winter_start_date, winter_End_date)) {
        var session="Winter";
    }else if(today_date.isBetween(spring_start_date, spring_End_date)) {
        var session="Spring";
    }else{
        var session="Holiday";
    }
    if(req.body.session!=session) return res.send({status:0,message:"Please provide valid time of the year!"}); */
    if(!req.body.correct_words) return res.send({status:0,messsge:"Please provide correct words!"});
    else{
        try{
            var correct_words_arr=JSON.parse(req.body.correct_words);
            if(Array.isArray(correct_words_arr)) var correct_words=JSON.stringify(correct_words_arr);
            else return res.send({status:0,message:"Please provide correct words as an array!"});
        }catch(err) {
            return res.send({status:0,message:"Please provide correct words as an array!"});
        }
    }
    if(!req.body.incorrect_words) return res.send({status:0,messsge:"Please provide incorrect words!"});
    else{
        try{
            var incorrect_words_arr=JSON.parse(req.body.incorrect_words);
            if(Array.isArray(incorrect_words_arr)) var incorrect_words=JSON.stringify(incorrect_words_arr);
            else return res.send({status:0,message:"Please provide incorrect words as an array!"});
        }catch(err) {
            return res.send({status:0,message:"Please provide incorrect words as an array!"});
        }
    }
    if(req.body.test_type=="summative"){
        var total_words=parseInt(correct_words_arr.length) + parseInt(incorrect_words_arr.length);
        if(total_words!=52) return res.send({status:0,message:"Please provide 52 words including correct & incorrect words!"});
    }
	var data={
        student_teachers_id:req.body.student_teachers_id,
        student_grade_level:req.body.grade_level,
        test_type:req.body.test_type,
        session:req.body.session,
        correct_words:correct_words,
        incorrect_words:incorrect_words
	} 
	//Save test result
	TestResult.saveTestResult(data).then(result=>{
		return res.send(result);
    }).catch(error => {
        return res.send(error);
    });
	
}
//get question bank for formative
test_results.getQuestionBankFormative=(req,res)=>{
    //validation
    if(!req.body.student_teachers_id) return res.send({status:0,messsge:"Please provide student teachers id!"});
    if(!req.body.grade_level) return res.send({status:0,messsge:"Please provide student grade level!"});
    var grade_level_type=['kindergarten','1st grade','2nd grade','3rd grade'];
    if(!grade_level_type.includes(req.body.grade_level.toLowerCase())) return res.send({status:0,message:"Please provide valid grade level!"});
    var data={
        student_teachers_id:req.body.student_teachers_id,
        student_grade_level:req.body.grade_level,
    } 
    //get question bank for formative
	TestResult.getQuestionBankFormative(data).then(result=>{
		return res.send(result);
    }).catch(error => {
        return res.send(error);
    });
}
module.exports=test_results;
