const StudentTeacher=require('../models/StudentTeacher');
const siteUrl = require('../config/siteUrl');
var auth = function(req,res,next){
	if(req.headers['access-token']){
		//check access Token
		var data={
			'unique_token':req.headers['access-token']
		}
		StudentTeacher.checkAccessToken(data).then(result => {
			if(result && result.student_teacher_details!=null){
				if(result.student_teacher_details.is_deleted==1) res.send({status:401,message:"Your account is deleted. Please Contact your administrator:-" +siteUrl.support_email});
				else if(result.student_teacher_details.is_active==0) res.send({status:401,message:"Your account is inactive. Contact your administrator:-"+siteUrl.support_email+" to activate it!" });
				else if(result.student_teacher_details.student_teachers_password!="" && result.student_teacher_details.student_teachers_password!=null){
					req.student_teachers_id=result.student_teachers_id;
					req.student_teachers_email_address=result.student_teacher_details.student_teachers_email_address;
					next();
				}else{
					return res.send({status:401,message:"You are not completed your registration."});
				}
			}
			else return res.send({status:401,message:"Invalid access token"});
		}).catch(error => {
			return res.send(error);
		});
		
	}else return res.send({status:401,message:"Access token is missing"});
}
module.exports = {
	auth : auth
}