/* Importing schemas */
const FluencyComprehensionSummativeQuestion = require('./schemas/FluencyComprehensionSummativeQuestionSchema');
/* Importing database*/
const Sequelize = require('sequelize');
const sequelize = require('../config/database').sequelize;
var fluency_comprehension_summative_questions={};
//get summative question
fluency_comprehension_summative_questions.getSummativeQuestions=(data)=>{
	return new Promise((resolve,reject)=>{
		FluencyComprehensionSummativeQuestion.findAll({
			where:data,
            order:[['paragraph_sequence','desc']]
		}).then(response=>{
			var summative_questions=JSON.parse(JSON.stringify(response));
			resolve({status:1,message:"All summative question",summative_questions:summative_questions});
		}).catch(err=>{
			reject({status:0,error:err,message:"Error in server. Please try after some time"});
		})
	});
}
module.exports = fluency_comprehension_summative_questions;
