/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const  fluency_comprehension_formative_complexity_bands=sequelize.define('fluency_comprehension_formative_complexity_bands',{
	id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	grade:{ type:Sequelize.STRING },
	complexity_band:{ type:Sequelize.STRING },
	is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=fluency_comprehension_formative_complexity_bands;