/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const fluency_comprehension_formative_test_results=sequelize.define('fluency_comprehension_formative_test_results',{
	test_result_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	student_teachers_id:{ type:Sequelize.INTEGER },
	student_id:{ type:Sequelize.STRING },
	student_name:{ type:Sequelize.STRING },
	student_teachers_name:{ type:Sequelize.STRING },
	student_teachers_email_address:{ type:Sequelize.STRING },
	student_grade_level:{ type:Sequelize.STRING },
    session:{ type:Sequelize.STRING },
    complexity_band:{ type:Sequelize.STRING },
	paragraph_id:{ type:Sequelize.STRING },
	paragraph_sequence:{ type:Sequelize.STRING },
	record_audio_file:{ type:Sequelize.STRING },
    student_answer:{ type:Sequelize.STRING },
    is_correct_answer:{ type:Sequelize.TINYINT },
	miscued_word_count:{ type:Sequelize.INTEGER },
	is_discontinue_test:{ type:Sequelize.INTEGER },
	word_read_count:{ type:Sequelize.INTEGER },
	total_word_read_correctly:{ type:Sequelize.INTEGER },
	seconds:{ type:Sequelize.INTEGER },
	reading_rate:{ type:Sequelize.DECIMAL },
	accuracy_percentage:{ type:Sequelize.DECIMAL },
	accumaticity:{ type:Sequelize.DECIMAL },
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=fluency_comprehension_formative_test_results;