/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const fluency_comprehension_summative_questions_answers_schema=sequelize.define('fluency_comprehension_summative_questions_answers',{
	summative_question_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	assessment_type:{ type:Sequelize.STRING },
	grade:{ type:Sequelize.STRING },
	session:{ type:Sequelize.STRING },
	paragraph_sequence:{ type:Sequelize.INTEGER },
	paragraph_id:{ type:Sequelize.STRING },
	paragraph_text:{ type:Sequelize.TEXT },
	question_no:{ type:Sequelize.INTEGER },
	question_text:{ type:Sequelize.TEXT },
	option1:{ type:Sequelize.STRING },
	option2:{ type:Sequelize.STRING },
	option3:{ type:Sequelize.STRING },
	option4:{ type:Sequelize.STRING },
	correct_answer:{ type:Sequelize.INTEGER },
	is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=fluency_comprehension_summative_questions_answers_schema;