/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const sentences_schema=sequelize.define('sentences',{
	sentence_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	student_grade_level:{ type:Sequelize.STRING },
	sentence:{ type:Sequelize.TEXT },
	complexity_band:{ type:Sequelize.STRING },
	is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=sentences_schema;