/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const student_teachers_schema=sequelize.define('student_teachers',{
		student_teachers_id: {
				type: Sequelize.INTEGER,
				primaryKey: true,
				autoIncrement: true
		},
		student_id:{ type:Sequelize.STRING },
		student_first_name:{ type:Sequelize.STRING },
		student_middle_name:{ type:Sequelize.STRING },
		student_last_name:{ type:Sequelize.STRING },
		student_grade_level:{ type:Sequelize.STRING },
		student_teachers_first_name:{ type:Sequelize.STRING },
		student_teachers_last_name:{ type:Sequelize.STRING },
		student_teachers_email_address:{ type:Sequelize.STRING },
		student_teachers_password:{ type:Sequelize.STRING },
		one_time_password:{ type:Sequelize.STRING },
		student_school_name:{ type:Sequelize.STRING },
		student_school_city:{ type:Sequelize.STRING },
		student_school_state:{ type:Sequelize.STRING },
		student_school_zip_code:{ type:Sequelize.INTEGER },
		is_active:{ 
			type:Sequelize.TINYINT,
			defaultValue: 1
		 },
		is_deleted:{ 
			type:Sequelize.TINYINT,
			defaultValue: 0
		 },
		createdAt:{ type:Sequelize.DATE },
		updatedAt:{ type:Sequelize.DATE }
});
module.exports=student_teachers_schema;