/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const test_results_schema=sequelize.define('test_results',{
	test_result_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	student_teachers_id:{ type:Sequelize.INTEGER },
	student_id:{ type:Sequelize.STRING },
	student_name:{ type:Sequelize.STRING },
	student_teachers_name:{ type:Sequelize.STRING },
	student_teachers_email_address:{ type:Sequelize.STRING },
	student_grade_level:{ type:Sequelize.STRING },
	test_type:{ type:Sequelize.ENUM('summative', 'formative') },
	session:{ type:Sequelize.STRING },
	correct_words:{ type:Sequelize.TEXT },
	incorrect_words:{ type:Sequelize.TEXT },
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=test_results_schema;