-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Oct 02, 2019 at 05:31 PM
-- Server version: 10.1.35-MariaDB
-- PHP Version: 7.2.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `letter_assessment_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `admin`
--

CREATE TABLE `admin` (
  `admin_id` int(11) NOT NULL,
  `admin_email` varchar(50) NOT NULL,
  `admin_user_name` varchar(50) NOT NULL,
  `admin_password` varchar(50) NOT NULL,
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `admin`
--

INSERT INTO `admin` (`admin_id`, `admin_email`, `admin_user_name`, `admin_password`, `createdAt`, `updatedAt`) VALUES
(1, 'admin@gmail.com', 'admin', 'e6e061838856bf47e1de730719fb2609', '2019-06-04 02:19:44', '2019-06-04 02:19:44');

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_formative_complexity_bands`
--

CREATE TABLE `fluency_comprehension_formative_complexity_bands` (
  `id` int(11) NOT NULL,
  `grade` varchar(50) DEFAULT NULL,
  `complexity_band` varchar(50) DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `fluency_comprehension_formative_complexity_bands`
--

INSERT INTO `fluency_comprehension_formative_complexity_bands` (`id`, `grade`, `complexity_band`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, '1st grade', 'CB1 (123-160L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(2, '1st grade', 'CB2 (170L-200L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(3, '1st grade', 'CB3 (230-270L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(4, '1st grade', 'CB4 (290L-320L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(5, '1st grade', 'CB5 (340L-370L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(6, '1st grade', 'CB6 (380L-420L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(7, '2nd grade', 'CB7 (440L-470L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(8, '2nd grade', 'CB8 (490L-520L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(9, '2nd grade', 'CB9 (530L-570L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(10, '2nd grade', 'CB10 (600L-640L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(11, '3rd grade', 'CB11 (640L-670L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(12, '3rd grade', 'CB12 (690L-720L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30'),
(13, '3rd grade', 'CB13 (690L-720L)', 1, 0, '2019-09-21 10:49:30', '2019-09-21 10:49:30');

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_formative_questions_answers`
--

CREATE TABLE `fluency_comprehension_formative_questions_answers` (
  `formative_question_answer_id` int(11) NOT NULL,
  `assessment_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grade` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `complexity_band` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lexile_level` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_sequence` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_text` mediumtext COLLATE utf8mb4_unicode_ci,
  `question_no` int(11) DEFAULT NULL,
  `question_text` mediumtext COLLATE utf8mb4_unicode_ci,
  `correct_answer` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `fluency_comprehension_formative_questions_answers`
--

INSERT INTO `fluency_comprehension_formative_questions_answers` (`formative_question_answer_id`, `assessment_type`, `grade`, `complexity_band`, `lexile_level`, `paragraph_sequence`, `paragraph_id`, `paragraph_text`, `question_no`, `question_text`, `correct_answer`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, 'Formative', '1st grade', 'CB1 (123-160L)', '150L', '1', '1.CB1.1.form', 'â€œWhich way did they go? I saw two. How many did you see?â€  asked Sam. â€œMaybe there were three. I know they have four!â€ said Anna. â€œI hope the dogs come back. And stay safe, tooâ€ said Sam.  ', 1, 'What were the dogs doing? ', 'Answers: running away, escaped, got out', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(2, 'Formative', '1st grade', 'CB1 (123-160L)', '130L', '2', '1.CB1.2.form', 'My dog has two pups. They are brown. Most of the time they sleep. They like to play. I get to hold them. They have soft fur. One likes to jump. The other likes to lick.', 2, 'What is this story about? ', 'Two new puppies', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(3, 'Formative', '1st grade', 'CB1 (123-160L)', '140L', '3', '1.CB1.3.form', 'One, two, three. Three little words. Seven letters. Words that count. Words that mean what they say. I like these number words. There are many more. Like four, five, and ten.', 3, 'â€œWords that count.â€ What does that mean?', 'Words that mean numbers; an amount', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(4, 'Formative', '1st grade', 'CB1 (123-160L)', '150L', '4', '1.CB1.4.form', 'The sky was blue. The day was warm. Not too hot. Just right for playing outside. We wanted to play a game. We found our friends. One of them had a red ball. We played a game called kickball.  We had lots of fun.', 4, 'What game did the friends play with each other?', 'Kickball', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(5, 'Formative', '1st grade', 'CB1 (123-160L)', '150L', '5', '1.CB1.5.form', 'I have a cat named Ted. Ted is white. He has fluffy fur. Ted sits on my lap. He flaps his tail. Sometimes he falls asleep. Ted is a good pet.', 5, 'What does Ted look like?', 'Ted is a fluffy, white cat.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(6, 'Formative', '1st grade', 'CB1 (123-160L)', '150L', '6', '1.CB1.6.form', 'The sun is coming up. The dark is going away. There are white clouds. The sky is pink and blue. Trees are green. Flowers are red and yellow. I even see a purple one. I love morning.', 6, 'What did the speaker see that was Answer: A flower', '', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(7, 'Formative', '1st grade', 'CB1 (123-160L)', '170L', '7', '1.CB1.7.form', 'It is fall. The days are cooler. Leaves are yellow. Others are red. They fall from trees. Soon we will rake the yard. We will put the leaves in bags. Fall is fun.', 7, 'What is falling from the trees?', 'What is falling from the trees?', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(8, 'Formative', '1st grade', 'CB1 (123-160L)', '140L', '8', '1.CB1.8.form', 'He said to \"Get up.\" I was sleepy. Again he said to \"Get up.\" I asked \"Why?\" \"Today we go to the game!\" my brother said. \"What game?\" I asked. \"A baseball game\" he said. That got me up fast!', 8, 'What time of day was it in the story?Answer: Morning', '', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(9, 'Formative', '1st grade', 'CB1 (123-160L)', '140L', '9', '1.CB1.9.form', 'I went to the store with Mom. We needed groceries. We got red apples. Be picked up oranges. We got yellow bananas. We saw green beans. Mom got a white flower. It was a colorful trip.', 9, 'What kind of store did they visit?', 'A grocery store.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(10, 'Formative', '1st grade', 'CB1 (123-160L)', '160L', '10', '1.CB1.10.form', 'Dinner had been good. I went to my room. I looked out the window. The sky was white.  It was snow!  It covered the grass. It stuck to the trees. I wondered.  Would I have school? Maybe not!', 0, 'What time of day was it?', 'Evening or nighttime.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(11, 'Formative', '1st grade', 'CB2 (170L-200L)', '190L', '1', '1.CB2.1.form', 'A big brown bird was on the lake. It flew high. It flew in a big circle. It went one way. And then another. In an instant it dove down. Into the water it went. It came up with something. It had caught a fish!', 1, 'What was the bird doing?', 'Hunting or looking for something to eat.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(12, 'Formative', '1st grade', 'CB2 (170L-200L)', '190L', '2', '1.CB2.2.form', 'What do bears like? Well honey of course. But where does honey come from? Bears know that bees make honey. If they find the bees they find the honey. But where are the bees? This is what bears need to know.', 2, 'What is the problem in this story?', 'Bears must find bees to find honey', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(13, 'Formative', '1st grade', 'CB2 (170L-200L)', '210L', '3', '1.CB2.3.form', 'I have a puppy. It has a white face. My puppy has a brother and a sister. They like to play with each other. And they like to eat. Dad says they will be fun. I agree with Dad.', 3, 'I have a puppy. It has a white face. My puppy has a brother and a sister. They like to play with each other. And they like to eat. Dad says they will be fun. I agree with Dad.', '3', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(14, 'Formative', '1st grade', 'CB2 (170L-200L)', '170L', '4', '1.CB2.4.form', 'Have you been to a park? Parks can be very big. They have lots of grass. There are many places to play. We take our dog Meg to the park. She loves to go. Meg finds many things to do. Parks are so much fun! I hope we go today.', 4, 'What is this story about?', 'Fun at the park.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(15, 'Formative', '1st grade', 'CB2 (170L-200L)', '210L', '5', '1.CB2.5.form', 'It was a summer afternoon. John was playing outside. It was getting windy. Very windy. Trees were blowing and dust was in the air. John saw dark clouds in the sky. They were moving quickly. John ran home.', 5, 'Why did John run home?', 'It was about to storm or rain.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(16, 'Formative', '1st grade', 'CB2 (170L-200L)', '200L', '6', '1.CB2.6.form', 'Mice are busy, but not during the day. You see mice sleep during the day. At night mice are active creatures. They stay busy looking for food. Wild mice stay away from people. But tame mice are different. They are used to people. And tame mice make good pets.', 6, 'When are mice awake?', 'During the day.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(17, 'Formative', '1st grade', 'CB2 (170L-200L)', '210L', '7', '1.CB2.7.form', 'We knew we would win. Just one more run. A runner on third. Jerome is up to bat. Two balls. Then a foul ball. The next pitch. Jerome hits it hard. A line drive. Off the fielder\'s glove. Our runner scores. Game over!', 7, 'Did the team win the game?', 'Yes.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(18, 'Formative', '1st grade', 'CB2 (170L-200L)', '200L', '8', '1.CB2.8.form', 'Have you been to a circus? They are so much fun! I like the clowns best. I think they are the circus stars. Each clown has a special costume. Their job is to make you laugh. And they are very good at it.', 8, 'What is a costume? ', 'Special or funny clothes', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(19, 'Formative', '1st grade', 'CB2 (170L-200L)', '190L', '9', '1.CB2.9.form', 'Have you been in a big city? One with lots of people walking? Some walk slow. Most walk fast. Where are they going? In and out of stores. Some carry bags. They are so busy. It is exciting!', 9, 'Is the story narrator from the big city? How do you know?', 'Probably not. It can be inferred from the observations in the sentences that the speaker is surprised at what the people are doing and that it is new to him or her.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(20, 'Formative', '1st grade', 'CB2 (170L-200L)', '210L', '10', '1.CB2.10.form', 'We had parent\'s day today. One of my friends brought his dad. His dad drives a truck. He showed us pictures. It was very big. It was very shiny. And the inside was like a house. He has a cool job!', 0, 'What job did the man do?', 'He drove a big truck', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(21, 'Formative', '1st grade', 'CB3 (230-270L)', '240L', '1', '1.CB3.1.form', 'We have two birds in our tree. They live in a nest. I can see three tiny birds in the nest. The mother bird feeds them. The baby birds are very hungry. The mother comes back many times with food. It is a lot of work to feed them. They are already getting bigger!', 1, 'What is the main idea of this story?', 'Raising birds is hard work.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(22, 'Formative', '1st grade', 'CB3 (230-270L)', '230L', '2', '1.CB3.2.form', 'Look again. It was there last week. I know because I put it there. Right in the dresser drawer. Who would have taken it out? Did you remove it earlier in the week? Maybe, your brother took it? Maybe you forgot to put it back?', 2, 'In what room is this story most likely taking Answer: Bedroom', '', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(23, 'Formative', '1st grade', 'CB3 (230-270L)', '250L', '3', '1.CB3.3.form', 'I had a great summer.  I\'m in the fourth-grade. I went fishing every day. I went with my best friend. There\'s a pond behind my house. We took worms for bait. Fish like worms. We fished for bullheads. They\'re a kind of catfish. It was the best summer ever!', 3, 'What is a pond?', 'A small body of water often found on a farm.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(24, 'Formative', '1st grade', 'CB3 (230-270L)', '250L', '4', '1.CB3.4.form', 'Have you learned to ride a bicycle? I learned when I was six. It was hard at first. My Mom helped me get on the bike. She pushed me through the yard.  I got better and better. By the end of the summer I could ride.', 4, 'Who helped the child learn to ride?', 'Mom', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(25, 'Formative', '1st grade', 'CB3 (230-270L)', '260L', '5', '1.CB3.5.form', 'Do you know how clouds are made? Tiny water drops are in the air. They slowly rise up in the sky. As they rise they become colder. These drops meet with others to form clouds. White, summer clouds. Some dark clouds have rain. All made from water.', 5, 'What are clouds made of?', 'Water drops or droplets.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(26, 'Formative', '1st grade', 'CB3 (230-270L)', '270L', '6', '1.CB3.6.form', 'Robin eggs are bright blue. Do you know why? Bright eggs mean a strong mother. The eggs are stronger too. When they hatch the babies are hungry. The mother robin knows her babies will be strong. She feeds them lots of food. Now you know!', 6, 'What do bright blue robin eggs mean?', 'The mother is strong.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(27, 'Formative', '1st grade', 'CB3 (230-270L)', '270L', '7', '1.CB3.7.form', 'Do you have a stuffed toy animal? They are very popular with kids. Stuffed toys are nice and soft. They feel good. Sometimes they become a friend. They are someone to talk to. Stuffed toys help us feel braver. And here\'s a secret. Many adults have one too!', 7, 'Do some adults have a stuff toy?', 'Yes.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(28, 'Formative', '1st grade', 'CB3 (230-270L)', '240L', '8', '1.CB3.8.form', 'Do you have vegetable you like? How about one you really don\'t like? Corn is a popular vegetable. Some kids like cream corn. Others like kernel corn. Lots of kids don\'t like peas. Others don\'t like carrots. What do you like?', 8, 'What is the main idea of this passage?', 'Different kids like different vegetables.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(29, 'Formative', '1st grade', 'CB3 (230-270L)', '260L', '9', '1.CB3.9.form', 'Have you been to the food store? What is your favorite food to buy? Is it cereal? Or candy? Maybe some kind of potato or corn chips? What about ice cream? We all have a favorite. Mine is pizza.', 9, 'Whatâ€™s another name for a food store?', 'Grocery store', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(30, 'Formative', '1st grade', 'CB3 (230-270L)', '260L', '10', '1.CB3.10.form', 'Flies. Bet you don\'t know too much about them. Do you know flies have two wings? That they can fly backwards? Flies can even fly upside down! But how do they walk upside down? Flies have sticky feet. They can walk on anything.', 0, 'How many wings does a fly have?', 'Two.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(31, 'Formative', '1st grade', 'CB4 (290L-320L)', '290L', '1', '1.CB4.1.form', 'Did you know that animals can \"talk\"? Some use body signs. Like tail wagging. Some hiss while others howl. Whales sing \"songs\" in the water. And frogs croak while birds chirp. Some animals put out smells. Have you ever smelled a skunk? Peeeee-yuuuuuuu!', 1, 'What is the main idea of this story.', 'Animals communicate in many different ways.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(32, 'Formative', '1st grade', 'CB4 (290L-320L)', '290L', '2', '1.CB4.2.form', 'Have you watched ants? They walk in long lines. Look close and you\'ll see they have a job. Ants carry food. From one place to another. And they work fast. There are often two lines. The ants go in different directions. It looks like a road for bugs. And do ants work hard!', 2, 'What is the main idea of this story? ', 'Ants are organized/do work/perform as a team', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(33, 'Formative', '1st grade', 'CB4 (290L-320L)', '300L', '3', '1.CB4.3.form', 'On a sunny day the sky is blue. But why isn\'t it another color? The air is not really clear. It has tiny things called particles. Sunlight is made of many colors. Particles cause the light to scatter. Our eyes see the blue light. and not the other colors.', 3, 'Why does light scatter? ', 'It hits tiny things called particles.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(34, 'Formative', '1st grade', 'CB4 (290L-320L)', '300L', '4', '1.CB4.4.form', 'Have you seen the \"Man in the Moon?\" It\'s not really a man, is it? The moon just looks like a man. There are old stories about the man. Some say he\'s holding sticks. Others say he has a sack of vegetables. What do you think?', 4, 'What is the man in the moon?', 'A story about what looks like of a man on the moon.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(35, 'Formative', '1st grade', 'CB4 (290L-320L)', '300L', '5', '1.CB4.5.form', 'Imagine being on the ocean. Which way do you steer your boat? Sailors learned to watch birds. A fish in its mouth and it was flying to land. At night sailors watched the stars to know where to go. Others learned to study the waves. Sailors learned many ways to know where to go.', 5, 'What is the main idea of the story?', 'Sailors had many ways to navigate the ocean.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(36, 'Formative', '1st grade', 'CB4 (290L-320L)', '310L', '6', '1.CB4.6.form', 'We all know what a bicycle is. Early bikes had a big front tire. In the back was a small one. These bikes were scary to ride. Later, \"safety\" bikes had tires of the same size. This made them easy to ride. Today, all bikes are safety bikes.', 6, 'Why were bikes called safety bikes.', 'The front and back tires were the same size.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(37, 'Formative', '1st grade', 'CB4 (290L-320L)', '300L', '7', '1.CB4.7.form', 'Have you seen a hobby horse? The toy was a long stick. At the end was a playful horse head. Children could \"ride\" the horse. Just place the stick between your legs and pretend you\'re on a horse. Some children still have hobby horses today.', 7, 'Describe a hobby horse.', 'A long stick with a toy horse head at the end.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(38, 'Formative', '1st grade', 'CB4 (290L-320L)', '300L', '8', '1.CB4.8.form', 'A rainbow is made when light shines through water. That\'s why we see them after it rains. Rainbows are made of seven colors. They are not a \"thing.\" We can\'t touch a rainbow. Light gets bent and reflected. The result are pretty colors.', 8, 'What is a rainbow made of?', 'Seven colors of light.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(39, 'Formative', '1st grade', 'CB4 (290L-320L)', '320L', '9', '1.CB4.9.form', 'What is a frog before it\'s a frog? It\'s a polliwog. A polliwog lives under water. It hatches from a small egg. Polliwogs live in ponds. They eat only plants. Polliwogs have a long tail. The tail gets shorter as the polliwog gets older. Polliwogs turn into frogs.', 9, 'What is the mother of a polliwog called?', 'A frog.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(40, 'Formative', '1st grade', 'CB4 (290L-320L)', '290L', '10', '1.CB4.10.form', 'We know a tree when we see one. But how do they grow tall? Tree roots go deep into the dirt. They drink water from the dirt and get tree food too. As trees grow taller they also grow wider. When it gets cold trees stop growing. In the spring they begin growing again.', 0, 'What do tree roots do?', 'They are like a straw that sucks up water and food for the tree.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(41, 'Formative', '1st grade', 'CB5 (340L-370L)', '370L', '1', '1.CB5.1.form', 'Have you ever ridden a horse? People have been riding horses a long time. Horses can run fast. About thirty miles an hour. A saddle helps a rider to stay on the horse. A rein helps the rider steer or tell the horse where to go. Maybe you will ride a horse!', 1, 'What is the main idea of this story?', 'Riding a horse.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(42, 'Formative', '1st grade', 'CB5 (340L-370L)', '370L', '2', '1.CB5.2.form', 'Grasshoppers are a kind of insect. They have hard, outer bodies. They have two pairs of wings. Grasshoppers make noise by rubbing a leg against their wing. Grasshoppers are busy all day and sleep at night. Their huge back legs help them to jump. And there are 11,000 kinds of grasshoppers!', 2, 'Does a grasshopper have a soft or hard body?', 'Hard.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(43, 'Formative', '1st grade', 'CB5 (340L-370L)', '370L', '3', '1.CB5.3.form', 'It was Saturday morning and Mom said \"Let\'s bake cookies.\" We mixed flour, baking soda, and vanilla. We added sugar, butter, and an egg. After mixing we rolled the dough into balls. We cooked them for ten minutes. After they cooled I ate two of the cookies. They were so good!', 3, 'Question: Where do you think the cookies were baked?', 'In an oven.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(44, 'Formative', '1st grade', 'CB5 (340L-370L)', '360L', '4', '1.CB5.4.form', 'Have you read about the lion and the mouse? The lion was about to do in the mouse. The quick-thinking mouse proposed a deal. \"I may be able to help you one day!\" The lion accepted. Months later the lion was trapped. The mouse chewed the rope and released the lion. Both left very happy.', 4, 'Why did both the lion and the mouse leave happy?', 'They felt good about helping each other.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(45, 'Formative', '1st grade', 'CB5 (340L-370L)', '350L', '5', '1.CB5.5.form', 'Do you play first and then work? Or do you work first and then play? Many of us put off work. Then we often say \"I don\'t have enough time.\" But we do have time for everything but our work! Which one are you?', 5, 'What is the moral of this story?', 'Get work done first.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(46, 'Formative', '1st grade', 'CB5 (340L-370L)', '340L', '6', '1.CB5.6.form', 'You\'ve heard of a boat and you\'ve heard of ships. But what is the difference? Ships are very large while boats are much smaller. Ships carry very large loads. Boats carry people and small loads. There\'s another way to think of this. A ship can carry a boat, but boats can\'t carry a ship.', 6, 'Which is bigger, a boat or a ship.', 'Ships are bigger than boats.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(47, 'Formative', '1st grade', 'CB5 (340L-370L)', '350L', '7', '1.CB5.7.form', 'Three American astronauts went to the moon in 1969. Two of them walked on the moon. People all over the world watched on TV. Their footprints are still on the moon. They flew back to earth. They landed in the ocean.', 7, 'Why are the footprints still on the moon?', 'There is no wind on the moon.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(48, 'Formative', '1st grade', 'CB5 (340L-370L)', '360L', '8', '1.CB5.8.form', 'Hank Aaron was a baseball player. He played from 1954 to 1976. Hank was an outfielder and a great hitter. Hank played for 23 years, hitting 755 home runs. Hank played in 25 All-Star games. Hank was one of the greatest players ever!', 8, 'How many All-Star games did Hank Aaron play in?', '25', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(49, 'Formative', '1st grade', 'CB5 (340L-370L)', '370L', '9', '1.CB5.9.form', 'Hawaii is part of the United States. It is 2,500 miles from California. Hawaii has 132 islands. People live on seven of them. There are pretty beaches in Hawaii. People like to swim on the beaches. This makes Hawaii a popular vacation spot.', 9, 'Why is Hawaii so popular?', 'It has many pretty beaches.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(50, 'Formative', '1st grade', 'CB5 (340L-370L)', '340L', '10', '1.CB5.10.form', 'Do you know about snakes? Their skin is smooth and dry. Snakes don\'t have eyelids. And they can\'t bite their food. This means they swallow their food in one piece. There are over 3,000 kinds of snakes. Snakes all over the world.', 0, 'Where do snakes live?', 'Snakes live all over the world.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(51, 'Formative', '1st grade', 'CB6 (380L-420L)', '410L', '1', '1.CB6.1.form', 'Have you seen a butterfly? Their wings are very big. These big wings help them turn very fast. It also helps them fool their enemies. Quick turns make them hard to catch. This mobility helps them to stay alive. When you see a butterfly watch how it flies. And now you know why!', 1, 'Why do butterflies make so many quick turns when they fly?', 'It makes them hard for predators to catch.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(52, 'Formative', '1st grade', 'CB6 (380L-420L)', '390L', '2', '1.CB6.2.form', 'Koala bears live in Australia. They have a large head and round fluffy ears. Their nose is large and spoon-shaped. Koala\'s have grey and brown fur. They can sleep up to twenty hours a day! Young koalas are called joeys. Koala bears live alone and eat special tree leaves.', 2, 'How much do Koala bears sleep?', 'Up to 20 hours a day.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(53, 'Formative', '1st grade', 'CB6 (380L-420L)', '380L', '3', '1.CB6.3.form', 'Wilbur and Orville Wright were brothers. As young boys they wanted to fly. After much hard work they had a design. Their plane had a gas engine and a wooden propeller. On December 17, 1903 their plane flew. On that day it went 120 feet in the air. The Wright brothers had captured their dream!', 3, 'What material was the airplane propeller made of?', 'Wood.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(54, 'Formative', '1st grade', 'CB6 (380L-420L)', '390L', '4', '1.CB6.4.form', 'Have you ever heard of a cruise ship? Think of a floating hotel on the ocean. A cruise ship is very tall. As tall as a ten-story building. Some carry almost 3,000 people. Everything you need and want is on the ship. Hotel rooms, restaurants, and shops are part of the ship. All aboard!', 4, 'What does the author compare a cruise ship to?', 'A floating hotel.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(55, 'Formative', '1st grade', 'CB6 (380L-420L)', '410L', '5', '1.CB6.5.form', 'Have you heard of Disney World? It\'s a favorite place for kids. Did you know that 50,000 people a day visit the park? And guess what? No gum is sold at Disney World. You wouldn\'t want it on the bottom of your shoe would you? Finally, there is a city underneath Disney World. It holds all the Disney costumes.', 5, 'Can you buy gum at Disney World?', 'No.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(56, 'Formative', '1st grade', 'CB6 (380L-420L)', '400L', '6', '1.CB6.6.form', 'Jamie had been making fancy birdhouses for many years. Some looked like castles. Others looked like spaceships. She made one that looked like a frog. Another looked like a school bus with windows. Everyone in town thought that Jamie was the best birdhouse maker ever. ', 6, 'What did Jamieâ€™s birdhouses look like?', 'She made many styles including castles, frogs, and spaceships.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(57, 'Formative', '1st grade', 'CB6 (380L-420L)', '410L', '7', '1.CB6.7.form', 'Nobody knew what happened to the three cakes. Mary had baked them for a school party. She had put them on a table and then went to get her coat. When Mary came back the cakes were gone. A lot of mysterious things had been happening in the house!', 7, 'How many cakes had Mary baked?', 'Three', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(58, 'Formative', '1st grade', 'CB6 (380L-420L)', '420L', '8', '1.CB6.8.form', 'Jamel spilled a cup of water on his couch. The sun was shining through the window. The rays were directed on the spill. A while later Jamel noticed the spot was getting smaller. Two hours later the spot had disappeared. Jamel learned the power of natural drying.', 8, 'How did the water spot disappear?', 'The sun rays dried it up.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(59, 'Formative', '1st grade', 'CB6 (380L-420L)', '420L', '9', '1.CB6.9.form', 'Ali was always talking to anyone who would listen. She would tell stories about her pets, all of them. She would talk and talk about her two dogs, Rosco and Juni. Ali told everyone about her tiger cat, Boots. She also had a yellow bird named Max who could whistle.', 9, 'What can you say about Ali?', 'She liked animals.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(60, 'Formative', '1st grade', 'CB6 (380L-420L)', '420L', '10', '1.CB6.10.form', 'Sue went on her first flight with her dad. As she looked out the window she could see the city below. In front of her was nothing but blue sky. Her dad said they were two miles in the air. Her father landed the plane an hour later. Sue decided she loved flying!', 0, 'Sue was inside of what? ', 'An airplane', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(61, 'Formative', '2nd grade', 'CB7 (440L-470L)', '470L', '1', '2.CB7.1.form', 'John was a natural born leader. People liked his positive energy. John had a way of challenging others to do their best. He was good at helping them see how they could improve. Those who were good became very good. John brought out the best in others.', 1, 'What is the main idea of this story?', 'That John was very good at helping others improve.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(62, 'Formative', '2nd grade', 'CB7 (440L-470L)', '470L', '2', '2.CB7.2.form', 'The bird was extremely well hidden. The nest was high in the tree and she could barely be seen. The bird\'s feathers blended perfectly with the new spring leaves. If you stared closely you could see her head if she moved. In the tree she had hidden her nest. In the nest were her three chicks.', 2, 'Why would the birdâ€™s nest be up in the tree?', 'To keep predators from reaching her chicks.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(63, 'Formative', '2nd grade', 'CB7 (440L-470L)', '460L', '3', '2.CB7.3.form', 'Sara and Peter loved to go fishing. They would go with their parents. The family would go to Lake George. Sara and Peter thought Lake George was the best fishing lake. \"Bass and bluegill are the most fun to catch,\" Sara said. John said \"I love to catch catfish!\"', 3, 'How many different kinds of fish are mentioned in the story?', 'Three: bass, bluegill, and catfish.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(64, 'Formative', '2nd grade', 'CB7 (440L-470L)', '440L', '4', '2.CB7.4.form', 'Joe walked quickly down the road. It was getting dark and he didn\'t want to be late for dinner. \"Come on. We need to get home,\" Joe told his dog. Joe looked up and saw several stars in the sky. He started to run until he reached the top of the hill. He looked down at his house. \"There is no light on in the kitchen\" he told his dog. \"I guess I missed dinner.\"', 4, 'Who was Joe talking to in the story?', 'Her dog.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(65, 'Formative', '2nd grade', 'CB7 (440L-470L)', '470L', '5', '2.CB7.5.form', '\"We\'ve got a lot of work to do,\" Meg groaned. She put on her new, green gardening gloves. She grabbed a rake and trash bags from the garage. She walked around the side of the house to the front yard. A carpet of leaves covered the brown grass. \"This will be some work\" Meg thought.', 5, 'What was Meg getting ready to do?', 'Rake the leaves in her front yard.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(66, 'Formative', '2nd grade', 'CB7 (440L-470L)', '440L', '6', '2.CB7.6.form', 'After school Marie would rush home to work on her secret project. She would collect old stuff from the neighborhood and take it to the shed in her backyard. She found some of it in recycling bins. \"Why are you collecting junk?\" her mom asked. \"It\'s not junk! I\'m working on a secret project. Wait until you see what I make.\"', 6, 'Why was Marie collecting what her Mom thought was junk?', 'Marie is going to make something out the â€œJunk.â€', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(67, 'Formative', '2nd grade', 'CB7 (440L-470L)', '470L', '7', '2.CB7.7.form', 'She had finished her creation. â€œRexRo is my new robot,â€ exclaimed Marie. \"You will be surprised at what he can do. RexRo will be helpful around the house,\" she said. \"Well, I am very curious\" chuckled her Dad. \"I have big plans for him, just wait\" said Marie.', 7, 'How can Marie be described in this passage?', 'Excited', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(68, 'Formative', '2nd grade', 'CB7 (440L-470L)', '440L', '8', '2.CB7.8.form', 'Life would be very different without electricity. It runs our phones and computers. We use electricity to wash and dry clothes. Electricity runs air conditioners and heaters. Some people even have electric cars! We may not think about electricity until we don\'t have it!', 8, 'What is the main idea of this passage?', 'Electricity is important to modern life.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(69, 'Formative', '2nd grade', 'CB7 (440L-470L)', '470L', '9', '2.CB7.9.form', 'There\'s a tall tale about a wild horse and a cowboy. The horse was a Black Mustang. He was known as the wildest in the west. The cowboy was famous for riding a tornado. The two would become joined in legend. It happened when the cowboy captured the horse. From then the horse and cowboy became a team.', 9, 'What is a tall tale?', 'A story that is unbelievable but sounds as though itâ€™s real.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(70, 'Formative', '2nd grade', 'CB7 (440L-470L)', '450L', '10', '2.CB7.10.form', 'The cowboy was Pecos Bill. He rode a horse named Pegasus. The two had great respect for each other. In this spirit Pecos made Pegasus a promise. No other cowboy would ever ride him. This promise made to Pegasus by Bill traveled across the west. From then on cowboys would regularly ride up to meet Pecos and Pegasus.', 0, 'What does it mean when the author says â€œIn this spirit?â€', 'The spirit was the respect the two had for each other.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(71, 'Formative', '2nd grade', 'CB8 (490L-520L)', '510L', '1', '2.CB8.1.form', 'Why do we sleep and what happens while we sleep? Sleep helps our brain become stronger. While we sleep our brain sorts what we learned during the day. This helps us better remember what we learned during the day. During sleep our brain is busy moving events from short- to long-term memory. This helps our brain work more smoothly. This also makes it easier for us to remember. If we don\'t get enough sleep our brain is not able complete this work. Getting enough sleep helps us be our best!', 1, 'If we want our memory to work well, what should we do?', 'We need to get enough sleep each night.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(72, 'Formative', '2nd grade', 'CB8 (490L-520L)', '490L', '2', '2.CB8.2.form', 'Mice are pretty amazing animals. They use their whiskers to feel where they can go. Mice make sounds so they can talk to each other. They can jump very high. Mice can also climb and swim. Some mice will even lose their tail if they get caught. The next time you see a mouse, think how incredible they are.', 2, 'Why would a mouse need to jump?', 'To avoid predators', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(73, 'Formative', '2nd grade', 'CB8 (490L-520L)', '510L', '3', '2.CB8.3.form', 'A farmer grows food or animals as a job. But have you thought about why they are important? They grow the things we eat like vegetables. Lettuce and tomatoes are grown by farmers. So are beans, corn, and lettuce. We can thank farmers for fruits like peaches, apples, cherries, and pears. Think of what goes into a pizza. The cheese is made from milk and the sauce is made from tomatoes. The extras like mushrooms, peppers, and olives are also grown by farmers. And of course, the crust is made from flour which comes from wheat. So, no farmers, no pizza! Now you see how farmers are important to all of us!', 3, 'What is the main idea of this story? ', 'Farmers grow the food we eat.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(74, 'Formative', '2nd grade', 'CB8 (490L-520L)', '520L', '4', '2.CB8.4.form', 'Fish have a skin covering their body. The skin is made up of small scales that look like small, thin plates. Scales are important to the fish. They are tough and hard to penetrate. Scales protect the fish from predators. They also aid the fish in moving through the water. Now you know a little more about fish!', 4, 'What is the purpose of this story?', 'To describe fish scales.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(75, 'Formative', '2nd grade', 'CB8 (490L-520L)', '510L', '5', '2.CB8.5.form', 'The country is India during the colonial era. It is 1908. An official and his wife are giving a large dinner party. They are seated with their guests. Included are army officers and government officials. There is also a visiting American naturalist. The dining room has a marble floor and open rafters. Suddenly everyone was told to become stone silent.', 5, 'What does it mean to be â€œstone silent?â€', 'Be as quiet as a rock.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(76, 'Formative', '2nd grade', 'CB8 (490L-520L)', '520L', '6', '2.CB8.6.form', 'Our alarm went off at four-thirty. We got dressed and left our motel. It was five-fifteen. At this time three astronauts were climbing into their seats. They would sit atop a \"thirty-six-story\" rocket. Sightseers were making their way to the Cape. Hours later we were rewarded. The giant rocket rises atop flames and smoke. We watch in awe as it rises into the sky, gaining speed as it goes.', 6, 'What does the author describe the rocket as a â€œthirty-six-storyâ€ rocket?', 'To compare its height to a very tall building.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(77, 'Formative', '2nd grade', 'CB8 (490L-520L)', '500L', '7', '2.CB8.7.form', 'There once was a king who promised a large reward. To claim the prize, one needed to find a needle. The needle was buried in a haystack. The king thought the needle would never be found. The task was too hard. A young girl asked the king if she could look for the needle. He saw she was quite serious and had more hay put on the stack. Using a magnet on a stick the girl spent hours looking. Then, she found the needle. The king was delighted and doubled her reward!', 7, 'Who had more hay put on the stack?', 'The king.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(78, 'Formative', '2nd grade', 'CB8 (490L-520L)', '490L', '8', '2.CB8.8.form', 'We are surrounded by sound nearly all the time. Some of the sounds we hear are pleasant.  Others are not. Sounds can affect our emotions. They can make us feel happy or sad. Sounds can make us nervous, angry, or even frightened. Some sounds are helpful, such as a siren on an ambulance. Very loud sounds can be harmful and do damage to our hearing. Sound, it\'s all around!', 8, 'What is the purpose of this passage?', 'To encourage the reader to think about how sound can affect us.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(79, 'Formative', '2nd grade', 'CB8 (490L-520L)', '510L', '9', '2.CB8.9.form', 'Simple machines have few or no moving parts. Simple machines are important in our lives because they help us make our work easier. One simple machine is a lever and an inclined plane. Its purpose is to lift heavy objects. What\'s being lifted is called the load. The lever is often a long board. The fulcrum is something like a block. The fulcrum raises the board above the ground. The force is the push or pull that moves the lever. Pushing on one end of the board raises the load.', 9, 'What is the purpose of the simple machine in the story?', 'To lift heavy loads.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(80, 'Formative', '2nd grade', 'CB8 (490L-520L)', '510L', '10', '2.CB8.10.form', 'Many of us like to ride a bicycle. They are fun and are an easy way to get around. But have you ever looked closely at the wheel on a bicycle? In the middle is a part called the axle. The axle holds the wheel onto the bike. The axle must be very strong because it supports the weight of the rider. The next time you ride a bike, take a look at the axle.', 0, 'What is the purpose of an axle?', 'To hold the wheel onto the bicycle.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(81, 'Formative', '2nd grade', 'CB9 (530L-570L)', '570L', '1', '2.CB9.1.form', 'Can you remember a day when it was hot? Maybe even 100 degrees? What do you know about the source of that heat, the sun? The sun began as a cloud of dust about 4.5 million years ago. The sun is made of helium and hydrogen gases. The temperature of the sun is 10,000 degrees. While the sun looks close it takes sunlight eight minutes to reach earth. These are a few facts. What else do you know about the sun?', 1, 'How long does it take sunlight to reach earth?', '8 minutes', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(82, 'Formative', '2nd grade', 'CB9 (530L-570L)', '560L', '2', '2.CB9.2.form', 'Solar power has been used for many years. But how does it work? The solar panels absorb sunlight. Special cells in the panel change the sunlight into electricity. The electricity is then sent to the wiring in the house. This equipment allows someone to make their own electricity. This means they don\'t have to buy it from a utility company.', 2, 'What are solar panels?', 'Panels that absorb sunlight.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(83, 'Formative', '2nd grade', 'CB9 (530L-570L)', '560L', '3', '2.CB9.3.form', 'Ann was feeding the kittens in her pet shop. She had just finished when a man carrying a big bag of dog food knocked on the door. Ann opened the door so the man could deliver the dog food. Pepper hopped down and flew out the front door! Ann finally found Pepper in a tree across the street. But when Ann called, Pepper would not come down. Ann had some sunflower seeds in her pocket, they were Pepper\'s favorite. Ann held them out in her hand and Pepper flew down to eat them. Ann was able to grab Pepper and take him back to the shop.', 3, 'Question: What was Pepperâ€™s favorite snack?', 'Sunflower seeds', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(84, 'Formative', '2nd grade', 'CB9 (530L-570L)', '560L', '4', '2.CB9.4.form', 'Have you ever talked about the weather with a friend? People talk about the weather but no one can do anything about it. Some people have a job talking about the weather on television. These people are seen on local newscasts and are called weather reporters. They tell us what kind of weather to expect in the coming days. Sometimes these reporters talk about the weather in other locations. These weather reports can help us decide what to do depending on the weather.', 4, 'Where do we see weather reporters?', 'On television', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(85, 'Formative', '2nd grade', 'CB9 (530L-570L)', '530L', '5', '2.CB9.5.form', 'A tornado is a spinning, tube of air. They touch both the ground and a cloud. Sometimes a tornado is called a twister. Most tornadoes have wind speeds less than 100 miles per hour. Some extreme tornadoes have winds up to 300 miles per hour. Most tornadoes travel only a few miles before they lift back into the cloud. The Tri-State tornado occurred in 1925. It traveled 219 miles and killed 695 people. It was the deadliest tornado in U.S. history.', 5, 'What is a tornado?', 'A spilling air tube that touches both a cloud and the ground.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(86, 'Formative', '2nd grade', 'CB9 (530L-570L)', '540L', '6', '2.CB9.6.form', 'Freddieâ€™s father woke him up early in the morning. â€œLetâ€™s go, buddy, we\'re going fishing. We have to get to the lake early.â€ Freddie sat up and rubbed his eyes. â€œIâ€™m up,â€ he said, yawning. They ate a quick breakfast of cereal and milk, stored their fishing rods in the trunk of the car and drove off. After driving for twenty minutes, Freddieâ€™s father said, â€œOh no. It looks like rain.â€ And then a clap of thunder and the rain started. \"We need a change of plans,\" said Freddie\'s dad.', 6, 'Did Freddie and his dad do any fishing?', 'No, the rain changed their plan.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(87, 'Formative', '2nd grade', 'CB9 (530L-570L)', '570L', '7', '2.CB9.7.form', 'A strange thing happened to me yesterday as a magician stumbled into my backyard. I knew the man had to be a magician. He was wearing a pointy black hat with yellow stars on it. He also wore flowing purple robes with tassels and carried a long, carved stick that looked like a wand. â€œHello, young man, what year is it?â€ the magician asked. â€œWelcome to 2020â€ I said. â€œGood heavens, I have come too far! I must repair that setting,â€ the magician said.', 7, 'What did the magician mean by â€œrepair that setting?â€', 'The magician is implying that he has some kind of machine that transports him to a different year. The machine has a faulty setting that needs repair.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(88, 'Formative', '2nd grade', 'CB9 (530L-570L)', '560L', '8', '2.CB9.8.form', 'Are you a fan of peanut butter and jelly sandwiches? The average kid eats 1,500 of them by the end of high school. Peanut butter is very popular with all ages. Half of the peanuts grown in the U.S. are made into peanut butter. Most families have a jar of peanut butter. There may not be a more popular sandwich!', 8, 'What is the main idea of this story?', 'Peanut butter sandwiches are very popular in America.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(89, 'Formative', '2nd grade', 'CB9 (530L-570L)', '560L', '9', '2.CB9.9.form', 'Have your ever thought of a library as a magic carpet? Something that can take you to a whole other world? We all know that libraries have thousands of different books. So, what\'s so magical about a book - it\'s just paper? The magic is on the pages inside those books. Think about it, a mystery so real it makes you jump. Or a description so vivid you can see it in your mind. And that magic is all in the library.', 9, 'What the main idea of this passage?', 'That through books available at the library, one can experience all kinds of new adventures.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(90, 'Formative', '2nd grade', 'CB9 (530L-570L)', '550L', '10', '2.CB9.10.form', 'The train station had been empty for over 40 years. Dennis and I opened the front door and slowly entered. It was dark and very eerie. We took a few steps and the floor let out a loud creak. We came to the ticket booth in the middle of the room. It had bars over the windows that reminded me of a jail. I turned my gaze to the corner of the room. Immediately fear rippled down my spine. I so quietly asked Dennis, \"What is that sitting in the corner?\"', 0, 'What does gaze mean in the story?', 'To look closely at something.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(91, 'Formative', '2nd grade', 'CB10 (600L-640L)', '600L', '1', '2.CB10.1.form', 'Brian was excited as he and his parents walked around the space center. He liked seeing the suits worn by astronauts. What he really wanted was go on the Shuttle Simulator. He walked up the steps with his parents. He sat down at the controls of the simulator. There were many dials and knobs. Brian grabbed the controls and pretended to be going through space.  \"This is just like being in a real Shuttle\" he told his parents.', 1, 'What is a simulator?', 'A stationary machine that operates like a vehicle or plane', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(92, 'Formative', '2nd grade', 'CB10 (600L-640L)', '620L', '2', '2.CB10.2.form', 'The leaf of the ginkgo tree is known as one of the most beautiful. The leaves have a unique fan-shape. Tiny veins radiate through the leaf blade. Larger leaves are slightly split at the end. In the fall the leaves are a stunning yellow. Ginkgo trees are a favorite in many cities. They are highly tolerant to city conditions. These conditions include heat, air pollution, salt and small growing spaces.', 2, 'What color are the tree leaves in the fall?', 'A bright yellow.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(93, 'Formative', '2nd grade', 'CB10 (600L-640L)', '600L', '3', '2.CB10.3.form', 'Joni sits down next to me. She opens a book and points to a photo of a steamy place.  It looks like another planet. It reminds me of a Star Wars movie. The place is Yellowstone National Park in the state of Wyoming. Yellowstone was established in 1872. It\'s the oldest national park in the world. Yellowstone is actually an active crater in the mountains. It last erupted more than 640,000 years ago. Nowadays steamy water comes out of the ground from what are called geysers. The water smells like rotten eggs. Scientists think the crater will erupt someday, they just don\'t know when.', 3, 'What is Yellowstone?', 'Itâ€™s a national park in the state of Wyoming.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(94, 'Formative', '2nd grade', 'CB10 (600L-640L)', '610L', '4', '2.CB10.4.form', 'You\'ve probably heard of the city of Chicago. Did you know the first Ferris wheel was built there in 1893? The \"Chicago Wheel\" was the creation of George Ferris. The idea was to build something to rival the Eiffel Tower. Ferris\' wheel was 264 feet tall and had 36 cars. Inside each car were seats for 60 people. A total of 2,160 people could ride the wheel at one time! The \"High Roller\" in Las Vegas is now the world\'s tallest Ferris wheel at 550 feet.', 4, 'Where is the Eiffel Tower?', 'Paris, France', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(95, 'Formative', '2nd grade', 'CB10 (600L-640L)', '610L', '5', '2.CB10.5.form', 'What\'s a theme park without a roller coaster? Coasters got their start in the coal mines of Pennsylvania. Small cars running on tracks were built to haul coal down the mountain. On the weekend people could pay money to take a thrill-ride in the car. Today\'s roller coasters are very popular steel beasts. Cars on some coasters go over 100 miles per hour. Some coasters that are over 400 feet tall. As scary as they are, many people love roller coasters.', 5, 'Where did roller coasters get their start?', 'In Pennsylvania coal country.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(96, 'Formative', '2nd grade', 'CB10 (600L-640L)', '610L', '6', '2.CB10.6.form', 'The Timberline Lodge sits on Mount Hood in Oregon. The lodge was built during the Great Depression. It was finished in 1938. When completed it was dedicated by President Franklin D. Roosevelt. Times were hard and money was short. To help, many recycled materials were used in the lodge. Old telephone posts were carved into staircases. Local rocks were made into fireplaces. And old ox yokes were turned into lamps. The Lodge is now a popular ski resort.', 6, 'Where is Timberline Lodge?', 'In Oregon', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(97, 'Formative', '2nd grade', 'CB10 (600L-640L)', '620L', '7', '2.CB10.7.form', 'Squirrels live all around us. They are in our neighborhoods and parks. There are 200 species of squirrels including chipmunks and prairies dogs. We think of squirrels as eating nuts but they also eat meat. Squirrels have great eyesight and a keen sense of smell. Because squirrels chew so much their teeth are always growing. And what about all those nuts they bury for winter? Well, they find almost all of them! ', 7, 'What is the purpose of this passage?', 'To provide facts about squirrels.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57');
INSERT INTO `fluency_comprehension_formative_questions_answers` (`formative_question_answer_id`, `assessment_type`, `grade`, `complexity_band`, `lexile_level`, `paragraph_sequence`, `paragraph_id`, `paragraph_text`, `question_no`, `question_text`, `correct_answer`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(98, 'Formative', '2nd grade', 'CB10 (600L-640L)', '640L', '8', '2.CB10.8.form', 'Hong Kong is a beautiful city on the ocean that\'s surrounded by hills. The city is full of modern, high-rise buildings. Some have a giant, built-in hole in the building. These are known as \"dragon holes.\" Of course, there are no dragons in Hong Kong. Rather, these real holes act as gates that let mythical dragons fly through. Each day the dragons can fly from their hilltop homes above the city down to the water. At night they can return through the same hole. You\'ll never see the dragons. But you might feel a breeze as they fly over!', 8, 'Whatâ€™s a dragon hole?', 'A real hole in a building to let magic dragons fly through.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(99, 'Formative', '2nd grade', 'CB10 (600L-640L)', '610L', '9', '2.CB10.9.form', 'Your heart is a hollow muscle about the size of your fist that sits inside your chest.  The heart has four chambers and its job is to circulate blood throughout the body. Two of the chambers receive blood that is returning from the body. The other two chambers work together to pump that blood out. Your heart can change how fast it pumps. When you\'re sleeping your heart pumps slowly. If you\'re running your heart will pump very quickly. The heart is truly amazing!', 9, 'How many chambers does the heart have?', '4', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(100, 'Formative', '2nd grade', 'CB10 (600L-640L)', '600L', '10', '2.CB10.10.form', 'It was a sunny and very cold winter day. The semi-truck had been slow to start but it came around. Clay drove along the gravel road to the highway. He was hauling a load of corn from the previous fall. He would take it to the co-op about 20 miles away to sell it. The last big snow had been a week ago. The ground was covered but the roads were clear. In this part of the state the land rolled gently up and down. Clay was expecting a routine trip.', 0, 'What kind of truck was Clay driving?', 'A semi-truck; also called a tractor trailer.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(101, 'Formative', '3rd grade', 'CB11 (640L-670L)', '670L', '1', '3.CB11.1.form', 'Have you ever been to a street fair? Street fairs celebrate the unique qualities of a local neighborhood. To hold a street fair one or two streets are closed. On each side of the street small white tents are set up. In the tents people sell arts and crafts. In other tents vendors provide information about their community organization. People love to eat so good food is important. Hot dogs, hamburgers, and pizza are popular. To top it all of local musicians provide live music.  ', 1, 'What is the purpose of a street fair?', 'To bring together the local neighborhood.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(102, 'Formative', '3rd grade', 'CB11 (640L-670L)', '660L', '2', '3.CB11.2.form', 'In 1898 H.G. Wells wrote a book called War of the Worlds. The book was a fictional story about a Martian invasion of earth. In 1937, on the eve of Halloween, the book was turned into a radio drama. Many people did not hear the introduction of the show saying it was not real. As the show continued the actors made the fictional story sound real. People became upset and fearful. They thought that Martians had really invaded the earth. The next day people learned that no aliens had come to earth.', 2, 'What is a drama?', 'An emotional story.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(103, 'Formative', '3rd grade', 'CB11 (640L-670L)', '670L', '3', '3.CB11.3.form', 'The Lakota people were the first to call them the \"Badlands.\" And for good reason! This area of South Dakota is hot, dry and inhospitable. Steep slopes and loose sand makes walking difficult. When it does rain sand quickly becomes mud. The canyons funnel rainwater into raging and dangerous rivers. Throughout the year there\'s lots of wind that blows away dirt. But this has an upside, there are always new fossils appearing.', 3, 'Where are the Badlands located?', 'North Dakota', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(104, 'Formative', '3rd grade', 'CB11 (640L-670L)', '660L', '4', '3.CB11.4.form', 'A feral animal is one that had been released into the wild. A razorback is a feral hog. Razorbacks are found across the United States. They are most often found in the southeastern U.S. It\'s estimated that six million feral hogs are in the U.S. These animals find food by digging up dirt with their powerful snouts. This makes them a problem for farmers. They will also eat animals which poses other problems.', 4, 'Where are feral hogs often found?', 'In the southeastern U.S.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(105, 'Formative', '3rd grade', 'CB11 (640L-670L)', '640L', '5', '3.CB11.5.form', 'Exercise - what\'s in it for you?  There are three ways to be \"fit.\" First, activities that involve running deliver oxygen to the body. Backyard games like \"tag\" involve running. These are good for growing a strong heart. Second, improving strength can be done by doing push-ups or hand-stands. Playground climbing gyms are fun and help make you strong. Finally, any kind of stretching improves flexibility. Just bending down to tie your shoes helps. In short, get outside and play games with your friends. You\'ll be exercising and having lots of fun!', 5, 'Whatâ€™s the main idea of this story?', 'There are many ways to get exercise.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(106, 'Formative', '3rd grade', 'CB11 (640L-670L)', '660L', '6', '3.CB11.6.form', 'Skara Brae is a group of eight, prehistoric houses. Around 5,000 thousand years ago about 50 people lived in them. The village sits on the shores of the north Atlantic Ocean. It is in the country of Scotland. Scientists have learned much about the people who lived here. The houses had one big room with a fireplace. There is evidence that people had made furniture such as dressers. To feed themselves they raised cows, sheep, and caught fish in the ocean. The houses were built into the earth to protect them from the cold winter. For an unknown reason the people left in a hurry. What they left behind has fascinated scientists.', 6, 'How old is Skara Brae?', 'About 5,000 years.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(107, 'Formative', '3rd grade', 'CB11 (640L-670L)', '650L', '7', '3.CB11.7.form', 'Basketball is a popular sport around the world. But do you how it was invented? James Naismith grew up in Ontario, Canada. He was a good athlete and loved games. After college, Naismith took a job at a YMCA in Springfield, Massachusetts. During the long winters his students grew restless. They needed a new game they could play inside. His idea was to toss a ball through a peach basket. The basket would be mounted on the wall ten feet above the floor. The required \"shot\" would be need to be a soft \"lob\" of the ball. With this idea basketball was invented in December, 1891.', 7, 'Where was basketball invented?', 'Springfield, Massachusetts', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(108, 'Formative', '3rd grade', 'CB11 (640L-670L)', '650L', '8', '3.CB11.8.form', 'The celebration of Halloween has a tradition that includes dressing up in costumes. It may also include visits to haunted houses and trick-or-treating. So how did it all begin? It started 2,000 years ago in Ireland and Scotland. The Celts as they were known, celebrated fall. On the last day of October, they also celebrated the deceased. The Celts also believed in evil spirits. To chase away the spirits they would dress up in costumes and make noise in the street. The traditional colors of Halloween are no surprise. Orange for fall and black representing death.', 8, 'How old is the celebration of Halloween?', 'About 2,000 years.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(109, 'Formative', '3rd grade', 'CB11 (640L-670L)', '650L', '9', '3.CB11.9.form', 'Humans love dogs and they love us back. Scientists think humans have had dogs since we were hunters and gatherers. What turned into dogs were likely wolves that became somewhat tame. They liked eating the scraps we threw away. At the time they were useful to us as watchdogs. Over time wolves changed to become the dogs we know today. Recently scientists have found that dogs have a \"love chemical\" for people. It\'s the same chemical we have for each other and for them. No wonder we love our dogs!', 9, 'What did early dogs like about people?', ':  They ate the food scraps we threw away.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(110, 'Formative', '3rd grade', 'CB11 (640L-670L)', '650L', '10', '3.CB11.10.form', 'The Easter Bunny is a part of the spring holiday we know today. Like many holidays, the bunny is a mix of old traditions. In ancient times people celebrated spring as a time of renewal. They had a goddess of spring. They also associated renewal with re-birth. Rabbits were adopted as a symbol of renewal. Eventually Christian missionaries visited these same people. They came with a different message of renewal. Over time the two merged into one. Today in America the Easter Bunny is firmly associated with the spring celebration.', 0, 'According to the story, what does the Easter Bunny symbolize today?', 'Spring renewal.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(111, 'Formative', '3rd grade', 'CB12 (690L-720L)', '680L', '1', '3.CB12.1.form', 'The Iroquois are a native American tribe. They invented a sport called stick ball. For them, stick ball was a spiritual and healing sport. Native peoples played stick ball to honor the Creator. They believed stick ball was a gift to them. Today, members of the Onondaga Nation still refer to stick ball as the Creator\'s Game. Around each game the tribe holds a religious ceremony before and after the game. They do this because stick ball means a lot to the native people. It defines who they are. Today stick ball is known as lacrosse.', 1, 'What is the purpose of this story.', 'To explain the origin of stick ball or lacrosse.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(112, 'Formative', '3rd grade', 'CB12 (690L-720L)', '690L', '2', '3.CB12.2.form', 'I like real books, the kind with paper pages and black ink. The kind that tell stories about people and animals and real places. I like the kind of books I can hold in my hand and turn the pages, one-by-one-by-one. The kind I donâ€™t have to re-charge but that are ready anytime I am. The kind that has those cream-colored pages with numbers in the corner. The kind of books I donâ€™t want to put down because they are so worth my time. So, is it any surprise that my favorite place is a library, a bookstore, or my favorite reading chair? What about you, are books with paper pages your friends?', 2, 'Does the author of this story prefer paper or electronic books? ', 'Paper books.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(113, 'Formative', '3rd grade', 'CB12 (690L-720L)', '700L', '3', '3.CB12.3.form', 'It was five summers ago when Tom discovered a beautiful black fox. The fox lived in the woods near his uncleâ€™s farm. The fox had two babies called kits that had been born in early April. Tom watched the fox and kits over the spring and through the summer. The kits grew larger and faster. By late summer the mother was teaching the kits how to hunt their own food. Tom saw the kits a couple of times in October and November and then one day they were gone.', 3, 'What are baby foxes called?', 'kits', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(114, 'Formative', '3rd grade', 'CB12 (690L-720L)', '700L', '4', '3.CB12.4.form', 'Dave Anderson was a famous sportswriter from New York. Dave grew up in New York, home of two pro baseball teams. Baseball players were heroes to many young boys. But Dave\'s heroes were different. His were the writers who wrote about the players. After college Dave began work as a sportswriter. In 1966 he joined the New York Times. In 1996 Dave observed that sports writing was as much of the American culture as music or art.', 4, 'What does a sportswriter do?', 'Writes articled about sports and the people who play them.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(115, 'Formative', '3rd grade', 'CB12 (690L-720L)', '700L', '5', '3.CB12.5.form', 'There are billions of cell phone subscriptions in the world. With so many phones do you know how they work? In its simplest form a cell phone is a two-way radio. Inside the phone is a metal antenna. The phone converts your voice to an electronic signal. This signal is sent out from your phone as a radio wave. Inside a cell tower another antenna receives the signal from your phone. The signal is then passed along to other towers to complete your call. And all of this is done at the speed of light!', 5, 'What is the main idea of this passage?', 'That cell phones are basically two-way radios.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(116, 'Formative', '3rd grade', 'CB12 (690L-720L)', '720L', '6', '3.CB12.6.form', 'Did you know there\'s a hall of fame for toys? There is, it\'s the National Toy Hall of Fame in Rochester, New York. One of the toys in the hall of fame is the Jack-in-the-Box. The toy has been a favorite of children for about 500 years. If you have never seen one, a Jack-in-the-Box is a painted square box with a hand crank on the side. Turning the crank plays a melody. Sometime during the song the box-lid opens and a puppet jumps up. Because you never know when the puppet will pop up, the surprise is always fun. No wonder the toy is in the Hall of Fame!', 6, 'How long has the Jack-in-the-Box been around?', 'About 500 years', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(117, 'Formative', '3rd grade', 'CB12 (690L-720L)', '690L', '7', '3.CB12.7.form', 'Despite their name, smartphones are a computer with a built-in phone. Now, go back to 1969 when humans first walked on the moon. The Apollo Guidance System was a computer. It was designed to allow the astronauts to control their spacecraft. It had a whopping 64k worth of memory. That\'s less than what\'s in today\'s toaster! Back on earth the computers used in mission control were the fastest available. They could do several hundred thousand computations per second. Today\'s smartphones can do over 3 billion a second. Of course, fifty years sit between 1969 and today. Still, this gives you an idea of how far computers have come.', 7, 'What is the main idea of this passage?', 'That computers today are far more powerful than those from 50 years ago.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(118, 'Formative', '3rd grade', 'CB12 (690L-720L)', '690L', '8', '3.CB12.8.form', 'You know what baby elephants look like. They are born quite large and stand three feet tall. A new calf has a good sense of touch, smell, and sound. Eyesight takes longer to develop. The calf knows its mother and stays close by her side for physical security. Calves grow quickly and for several years will drink three gallons of milk a day. It takes almost a year for the calf to learn what to do with its trunk. Calves will trip over it and even suck it like a thumb! Eventually they learn how to manipulate it to eat, drink, and grasp objects. A female elephant lives with the herd for life. A male will stay for 12 to 14 years before he leaves to live on his own.', 8, 'How tall is a newborn elephant? ', '3 feet tall', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(119, 'Formative', '3rd grade', 'CB12 (690L-720L)', '710L', '9', '3.CB12.9.form', 'It was the night of the summer solstice, the longest night of the year. Dad hadnâ€™t called to tell us he would be late, so we were a little worried. Just as Mom removed the casserole from the oven, we heard the door creak open. I leapt up from my chair, scurried past the credenza, and ran to the entryway. As soon as I saw what Dad cradled in his arms, I screeched! The puppy was white with black blotches. It was a Dalmatian! My sister and I had dreamed of having a dog for years. And now we had one of our very own. He was extraordinary, he was home, and I could tell he was hungry, both Dad and the puppy.', 9, 'What color is a dalmatian?', 'Black and white', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(120, 'Formative', '3rd grade', 'CB12 (690L-720L)', '720L', '10', '3.CB12.10.form', 'Fizzy drinks are called by different names, depending on where you live. In the Mid- and Northwest states these drinks are called \"pop.\" In California and New England you are among â€œsodaâ€ drinkers. Many pockets of the Midwest use this name too. When you go South the name really changes. From New Mexico to the Carolina\'s and down to Florida, everything is called a â€œCoke.â€ It is common to be asked â€œWhat kind of Coke do you want?â€ A normal reply could be â€œIâ€™d like a Sprite, please.â€ It\'s confusing at first for newcomers, but they catch on. ', 0, 'Whatâ€™s the main idea of this story?', 'What a pop, soda, or Coke is called depends on where you are.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(121, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '1', '3.CB13.1.form', 'The Comets had nearly won the game, just one more out and a hard-earned victory was theirs. The pitcher starred at the batter who waved his bat at the ready. The windup and the pitch came down the middle of the plate. It was a fastball that was a white-hot blur. The batter swung and hit the ball on the barrel of the bat, making a loud crack heard around the park. The ball sailed high and long, then longer, and longer, a white streak through the nighttime sky. The outfielder was left with no defense and could only watch as the ball went into the stands. In a crack of a bat a home run blast gave the Comets the victory that both teams thought was theirs.', 1, 'What does the writer mean when the ball is described as a â€œwhite-hot blur?â€', 'The ball was going very fast.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(122, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '2', '3.CB13.2.form', 'You may know of Paul Revere as a famous American patriot. The one whose midnight ride warned that the British were coming. But did you know Revere started the country\'s copper industry? After the Revolutionary War copper was in demand for U.S. shipbuilding. The Navy used copper for bolts, spikes, and nails.  England was the only country that could supply copper. The U.S. Navy needed copper for its ships. Revered convince the Navy to give him a loan for $10,000 to build a copper mill. In 1801 Revere started the copper industry in the United States. Today the company is still the leading supplier of copper.', 2, 'What was copper used for by the Navy?', 'Copper was used to makes bolts, spikes, and nails.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(123, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '3', '3.CB13.3.form', 'The day was sunny and warm as thousands were attending the street fair. The fair was jammed with people walking about and having a good time. As we rounded the corner we immediately stepped aside. Coming at us was a lady in a dress running with, of all things, a violin! With the bow in her right hand and the instrument in her left, she was in a hurry! As we later walked in front of the festival stage we saw her again. There she was, the dashing violinist, on stage with seven other musicians. The music was beautiful and we knew then why she was running.', 3, 'What is a violin?', 'A wooden instrument with 4 strings that when played, is held underneath the chin.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(124, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '4', '3.CB13.4.form', 'The ocean is deep, but how deep? Scientist know that the deepest part of the ocean is a place called the Mariana Trench. In 2010 the trench was measured at 36,070 feet deep. As a comparison the highest point on earth is 29,020 feet tall. It\'s called Mount Everest in the country of Nepal. That makes the Mariana Trench over a mile deeper than Everest is tall. The reason the ocean is so deep at this spot is that two pieces of the ocean floor are colliding. One piece is actually sliding underneath the other. The trench is deepest where the two pieces meet.', 4, 'Why is the ocean so deep at the Mariana Trench?', 'Two pieces of the ocean floor are colliding.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(125, 'Formative', '3rd grade', 'CB13 (690L-720L)', '740L', '5', '3.CB13.5.form', 'Have you ever thought about why we don\'t send airplanes into space? First, we need to understand how an airplane wing works. An airplane wing is designed to split the air in a very certain way. The shape of the wing forces the air on top to occupy more space. This lowers the air pressure on top of the wing. On the bottom side the shape of the wing squeezes the air which lowers its pressure. These opposite forces work together to lift the airplane. So why doesn\'t the wing work like this in space? The answer is because there is no air in space. The wing is useless.', 5, 'Why donâ€™t airplanes go into space?', 'Because there is no air so the wings wonâ€™t work.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(126, 'Formative', '3rd grade', 'CB13 (690L-720L)', '760L', '6', '3.CB13.6.form', 'Television has many shows and movies about police organizations. One such organization is Interpol. Interpol is made up of 192 member countries. It helps the police within its member countries to work together to fight international crime. The crimes they fight include terrorism, the internet, and organized crime. Interpol also works to solve white-collar crime. Interpol has no \"agents\" who arrest criminals. Instead, they act as a network of law enforcement agencies. They work together by sharing information with each other about criminals. They do this through their central office in France.', 6, 'Where is Interpol headquartered? ', 'In France', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(127, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '7', '3.CB13.7.form', 'You\'ve probably seen the TV series SpongeBob SquarePants on Nickelodean. It was created by a marine biologist named Steven Hillenburg. The show first appeared on TV in 1999. Hillenburg was fascinated with the ocean from a young age and liked to draw. In college he pursued both of his interests. After graduation Hillenburg worked as a staff artist at the Ocean Institute. While there he created a comic book called the Intertidal Zone. It was designed to teach about marine life in tide pools. Eventually Hillenburg met a man who hired him at Nickelodean.. Several years later the idea of SpongeBob was born.', 7, 'What is the purpose of this story?', 'To describe the creator of SpongeBob SquarePants', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(128, 'Formative', '3rd grade', 'CB13 (690L-720L)', '740L', '8', '3.CB13.8.form', 'For many people the first Saturday in May is indeed a special day. On that day the Kentucky Derby is held at Churchhill Downs in Louisville, Kentucky. The \"Derby\" is the world\'s most famous horse race. Each year 150,000 people attend the race. Women wear they best derby hat. Many men sport a bow tie. Celebrities come from around the world to watch. Twenty of the world\'s fastest horses and their jockeys are the stars. They run for one and a quarter miles around an oval track to see which is the fastest. The winning horse, he will become famous.', 8, 'What is the Kentucky Derby?', 'The worldâ€™s most famous horse race.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(129, 'Formative', '3rd grade', 'CB13 (690L-720L)', '760L', '9', '3.CB13.9.form', 'Have you ever seen a gecko? They are harmless lizards that live all over the world. They grow to be about ten inches long with half the length in the tail. Geckos eat insects, fruit, and flower nectar. And that long tail, it has several purposes, one of which is to store food. It also helps with balancing when the gecko climbs trees. Like other lizards a gecko can lose its tail to escape danger. When threatened geckos will make chirping noises. Most geckos are nocturnal which means they are active at night. Finally, a gecko has eyelids that they can wash with their tongue!  ', 9, 'Where do geckos live?', 'All over the world.', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57'),
(130, 'Formative', '3rd grade', 'CB13 (690L-720L)', '750L', '10', '3.CB13.10.form', 'For the last 12,000 years humans have used dogs to help get their work done. One of the jobs that people first taught dogs was how to tend and herd sheep, goats, and cattle. Todayâ€™s sheepdogs include several breeds. Collies, shelties, and Old English sheepdogs are all dogs that people have bred to herd. If youâ€™ve been around these dogs, you know they like to herd things. They might even try to herd you! Theyâ€™re easy to train and obey their owners. They make good watchdogs too and theyâ€™ll let you know if someoneâ€™s at the door.', 0, 'What were sheepdogs bred to do?', 'Herd animals', 1, 0, '2019-09-21 10:49:57', '2019-09-21 10:49:57');

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_formative_test_results`
--

CREATE TABLE `fluency_comprehension_formative_test_results` (
  `test_result_id` int(11) NOT NULL,
  `student_teachers_id` int(11) DEFAULT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `student_name` varchar(255) DEFAULT NULL,
  `student_teachers_name` varchar(255) DEFAULT NULL,
  `student_teachers_email_address` varchar(100) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `session` varchar(50) DEFAULT NULL,
  `complexity_band` varchar(50) DEFAULT NULL,
  `paragraph_id` varchar(50) DEFAULT NULL,
  `paragraph_sequence` varchar(50) DEFAULT NULL,
  `student_answer` varchar(255) DEFAULT NULL,
  `is_correct_answer` tinyint(4) NOT NULL DEFAULT '0',
  `record_audio_file` varchar(255) DEFAULT NULL,
  `miscued_word_count` int(11) NOT NULL,
  `is_discontinue_test` int(11) NOT NULL DEFAULT '0',
  `word_read_count` int(11) NOT NULL,
  `total_word_read_correctly` int(11) NOT NULL,
  `seconds` int(11) NOT NULL,
  `reading_rate` decimal(5,2) NOT NULL,
  `accuracy_percentage` decimal(5,2) NOT NULL,
  `accumaticity` decimal(5,2) NOT NULL COMMENT 'this is simply words read correctly per minute',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_summative_paragraphs_questions`
--

CREATE TABLE `fluency_comprehension_summative_paragraphs_questions` (
  `summative_paragraph_question_id` int(11) NOT NULL,
  `assessment_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grade` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `session` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `complexity_band` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lexile_level` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_sequence` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_text` mediumtext COLLATE utf8mb4_unicode_ci,
  `question1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `question2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `question3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `question4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `question5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `fluency_comprehension_summative_paragraphs_questions`
--

INSERT INTO `fluency_comprehension_summative_paragraphs_questions` (`summative_paragraph_question_id`, `assessment_type`, `grade`, `session`, `complexity_band`, `lexile_level`, `paragraph_sequence`, `paragraph_id`, `paragraph_text`, `question1`, `question2`, `question3`, `question4`, `question5`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, 'summative', '1st grade', 'Fall', '', '', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe.. Moe likes to play. we play ball. Moe barks. He wags his tail. Moe is fun', 'Who is Moe?', 'What does Moe like?', 'What does Moe play with?', 'How Does Moe show he is happy?  ', 'How is Moe Described?', 1, 0, '2019-09-06 21:18:35', '2019-09-06 21:18:35'),
(2, 'summative', '1st grade', 'Fall', '', '', '2', '1.Fall.CB2.Sum', 'Mom likes to play with me . We play catch with a  ball. The ball is red I use to have a blue ball. Mom throws the ball to me. I catch it with two hands. I throw the ball back. We have lots of fun.', 'What does Mom likes to do?', 'What game does Mom play?', 'What game does Mom play?', 'What color is the ball?', 'What does Mom do with the ball?', 1, 0, '2019-09-06 21:18:35', '2019-09-06 21:18:35'),
(3, 'Summative', '1st grade', 'Spring', 'CB7', '', '1', '1.Spring.CB7.Sum', 'Pig sat in the yard on a warm day. <p><p>A brown dog was sitting nearby under a shade tree. Dog called to Pig.<p><p>\"Aren’t you hot?\" asked Dog. <p><p>\"A little bit,\" said Pig.<p><p>“Come sit with me under the tree where it’s cool,” said Dog.<p><p>But behind the shade tree was a big mud puddle. <p><p>Pig got up, walked past the tree, and jumped into the mud. <p><p>Dog\'s eyes grew wide!<p><p>Pig smiled widely at Dog.<p><p> \"Thank you, Dog,” Pig said. “I like a mud bath much more than a shade tree.”<p><p>', 'What kind of day is it?', 'What did Dog say to Pig?', 'Why didn’t Pig sit with Dog in the shade?', 'How would you describe how Dog treated Pig?', 'What was Dog’s reaction to what Pig did?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(4, 'Summative', '1st grade', 'Spring', 'CB9', '', '2', '1.Spring.CB9.Sum', 'It was a week before Halloween.<p><p>Jeremy climbed into bed and then heard the noise. <p><p>He looked out the window to see a fire truck rush down the street. <p><p>In the morning his father said he had some news. <p><p>“It was the candy shop” said his father. “The building burned down and all the candy is lost.”<p><p>“There will be a candy shortage” Jeremy said. <p><p>“Don’t worry,” his mother said. <p><p>“There’s another candy store in town. <p><p>I\'m sure they have plenty.”<p><p>Jeremy felt a lot better.<p><p>', 'At what time of year did the story take place?', 'What did Jeremy hear when he was in bed?', 'What happened to the candy shop?', 'What happened to the candy in the store?', 'Why did Jeremy feel better at the end of the story?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(5, 'Summative', '1st grade', 'Winter', 'CB4', '', '1', '1.Winter.CB4.Sum', 'Most people don\'t like rain. They don’t want to get wet. My name is Lea. I love the rain! <p><p>I run in the rain. I play in puddles. My dog likes the rain too. We run and splash. <p><p>      My mom opens the window. She likes to hear the rain. The rain can be soft or loud. It waters the trees. Rain makes pretty water drops.<p><p> Rain helps flowers grow.<p><p>      It can rain a lot or a little. Rain can be warm or cold. <p><p>Rain makes me happy!<p><p>', 'Why do most people not like rain?', 'Why does Mom open the window when it rains?', 'How does Lea’s dog react to the rain?', 'How is rain described in the story?', 'What is the theme of this story?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(6, 'Summative', '1st grade', 'Winter', 'CB6', '', '2', '1.Winter.CB6.Sum', 'I like to watch my Mom cook. <p><p>She chops and mixes. She heats the stove. She stirs the pot.<p><p>Mom is making beef stew. It’s my favorite supper.<p><p>Beef stew has carrots. <p><p>It also has lots of water and meat.<p><p> “Can I cut the carrots?” I asked Mom.  <p><p>“No,” she says. “You might cut your hand.”<p><p>“Can I stir the stew?” <p><p>“No, it’s too hot” she says. <p><p>Mom looks and sees I’m sad. She hands me a cup and I fill it with water. <p><p>I poured the water in the pot.<p><p>Then Mom gave me salt and pepper to put in the stew.<p><p>“Good job!” Mom says. “The stew will taste very good.”  <p><p>', 'What is Mom cooking?', 'What vegetable is in the stew?', 'What makes the boy sad?', 'How does Mom let the boy help?', 'How does the boy feel at the end of the story?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(7, 'Summative', '2nd grade', 'Fall', 'CB8', '', '1', '2.Fall.CB8.Sum', 'Anna was on the beach with her friends, Jack and Evan. The day was sunny and warm. It was just right for playing in the sand. Anna said to her friends “Let’s make a sandcastle.” Jack and Evan agreed and got started. <p><p>After a while Anna said the castle wasn’t right. It was lop-sided and the walls were too low. The middle of the castle was a big mound of sand. <p><p>Jack and Evan agreed with Anna. “How can we make a better castle?” asked Evan. “I think we should start over” said Jack. Then Anna had an idea. “We can draw a picture of our castle in the sand. Then we can make it look like the picture.”<p><p>Anna went to work and used her finger to draw a castle. She drew a big square, and then some smaller squares. Jack added some circles. Finally, Evan put doors in the middle.<p><p>The three spent the next hour shaping the sand. It started to look like their picture. It looked like a castle.  <p><p>Finally, Jack got up. “We have made a nice castle” he said. Evan and Anna agreed. Then Evan said “I’m hungry, it’s time for a snack.”<p><p>', 'Where does the story take place?', 'What are the three friends doing?', 'What is the main problem in the story?', 'How did they solve their problem?', 'Where did they draw the picture?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(8, 'Summative', '2nd grade', 'Fall', 'CB9', '', '2', '2.Fall.CB9.Sum', 'I’m Emily and I live on a cliff overlooking the ocean with caves below. <p><p>One day I went walking down a trail with my flashlight to explore the caves.  <p><p>I entered a cave and the ceiling glittered.<p><p>Then I saw a pair of eyes.<p><p>I gasped and dropped my flashlight.<p><p>“Do not be scared!” the voice said. <p><p>“You are a monster!” I said.<p><p>“Well I’m actually a Snarkle, but you can call me Ed.”<p><p>“I live here in the cave.<p><p> I have a bed and a nice couch. <p><p>I catch fish to eat and make seaweed salad” said the Snarkle.<p><p>“Do you mind if I visit you in future?” <p><p>“You are welcome but please don’t bring others” the Snarkle said.<p><p>', 'Where does Emily live?', 'What is below where Emily lives?', 'What tool did Emily bring with her?', '   What does the word glitter mean?', '   Why did the voice scare Emily?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(9, 'Summative', '2nd grade', 'Spring', 'CB11', '', '1', '2.Spring.CB11.Sum', 'It was a sunny Saturday morning in New York City. Andre and his grandfather took a trip to the Statue of Liberty. They walked to the subway and got on a train to Battery Park. Then they walked over to the Hudson River. They got on a big boat. They stood on the boat deck so they could see everything. In the distance they saw Liberty Island. That was where they were headed. <p><p> “Look, Papa, the Statue of Liberty!” Andre shouted. In a few minutes they were on the island and everyone got off. Andre and his grandfather walked very close to the Statue. It was the biggest statue he had ever seen. They walked around it, and stopped often to see every angle of the Statue. This was the biggest statue Andre had ever seen!<p><p><p><p>', 'Where is the Statue of Liberty?', 'How did Andre and his grandfather get to the Statue of Liberty?', 'Who was Andre travelling with?', 'What kind of boat did they travel on?', 'What was Andre’s impression of the Statue of Liberty?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(10, 'Summative', '2nd grade', 'Spring', 'CB13', '', '2', '2.Spring.CB13.Sum', 'Kennedy is learning how to make cookies. She and her mom began by lining up the ingredients on the kitchen counter. They mixed together the dry parts. Then in another bowl they combined the sugar and butter.<p><p> After adding eggs it all looked like cookie dough! <p><p> “I think there’s one more thing we need to add,” Mom said. <p><p> “Chocolate chips!” Kennedy exclaimed. <p><p> Kennedy and her mom dropped round balls of dough onto a baking sheet and put it in the oven. After cooking for ten minutes Mom took the cookies out of the oven.<p><p> After cooling Kennedy tasted one. She decided these were the best cookies she’d ever tasted!<p><p><p><p>', 'What are ingredients?', 'What does it mean to “mix together?”', 'What was added to the cookie dough?', 'What is meant in the story to “drop” round balls of dough?', 'What is a baking sheet?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(11, 'Summative', '2nd grade', 'Winter', 'CB10', '', '1', '2.Winter.CB10.Sum', ' The snow is quickly melting, the days are longer and it’s getting warmer. It’s springtime and Mama Bear leaves her winter den. Behind Mama are her two little cubs. The cubs were born during the winter and Mama kept them warm in the den.  Mama Bear is very hungry, she has not eaten all winter. Her biggest concern is finding food for herself and her cubs. <p><p> Mama Bear is skilled at finding food. She knows how to find food in the woods. She looks for young plants. She sniffs for nuts buried by squirrels. She digs near old logs for bugs.  <p><p>This will be a good summer for Mama and her cubs.<p><p>', 'How many cubs are in the story?', 'Where was Mama Bear all winter?', 'What is Mama Bear most interested in now?', 'What time of year is it?', 'Where does Mama Bear find food?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(12, 'Summative', '2nd grade', 'Winter', 'CB11', '', '2', '2.Winter.CB11.Sum', '<p><p>Sam is afraid of the dark. After his Mom turns off the light he sees shadows on the wall. <p><p>“Mom!” he yells. “Scared again?” asks his Mom as she searches under the bed. “There’s nothing there, Sam” says Mom.<p><p>A few days later Sam’s mom says they will go on a family adventure. They’ll visit Mammoth Cave National Park. It’s the longest cave system in the world.<p><p>“Are there lights in the cave?” Sam asks?”  “Yes, and we will be guided by a park ranger,” Mom says.<p><p>“What about bats? I hate bats,” Sam says.<p><p> “Bats are more afraid of us than we are of them, they fly away” Mom says.<p><p>In the cave Sam follows the path behind a lady park ranger. <p><p>She explains the cave in detail and Sam is no longer afraid. <p><p>Instead, Sam is amazed!<p><p>', 'What is Sam’s problem?', 'When Sam is in his dark bedroom at night, what does he worry about?', 'Why do you think Mom wants take Sam to Mammoth Cave?', 'What is a park ranger?', 'What is a family adventure?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(13, 'Summative', '3rd grade', 'Fall', 'CB12', '', '1', '3.Fall.CB12.Sum', 'On the Trail<p><p>Eliza stared out of the covered wagon, she and her family were leaving their home in Ohio. Two big horses pulled the wagon slowly across the prairie. Her father was driving and they were part of a wagon train. All the drivers had the same idea - to move out west and start a new life. <p><p>The springtime grasses were blooming and stretched behind them for miles. Eliza felt every single bump of the trail. As the wagon went over rocks and holes it shook her from left to right.  You see the trail wasn’t a smooth highway. It was a dirt path filled with rocks and ruts that stretched for hundreds of miles. Eliza knew this would be a very long journey.<p><p>', 'The theme of this story is:', 'Where is Eliza moving from?', 'What is inside the covered wagon?', 'What was it like riding in the wagon?', 'What was the time of year?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(14, 'Summative', '3rd grade', 'Fall', 'CB13', '', '2', '3.Fall.CB13.Sum', 'The whistle shrieked, the referee waved his arms, and the soccer game was over. It had been a physical, hard-fought game and the Tigers had beaten the Sharks, two to one. Cody slowly walked off the field to huddle with the team. His knee was swollen. One of several fouls that went ignored by the referees. For Cody, the loss hurt more than his knee.<p><p> “Tough game” Coach Joe said to the team.  “And I’m really proud of the way you played. Now let’s line up, shake hands with the Tigers, and put on display the dignity that goes with being a Shark.” <p><p> Cody didn’t line up. Coach knew why. “You may be disappointed but you’ll feel better if you shake hands and tell them good game. It’s not enough to be a good player, you have to display sportsmanship too” Coach told Cody. <p><p>With that sage advice Cody reluctantly lined up to shake hands. “Good game,” Cody said softly. “Good game,” the boy replied. And with those words Cody did feel better, just like Coach said. <p><p>', 'Which team did Cody play for?', 'What does shriek mean?', 'What best describes the play in this game?', 'Why does it say that for Cody, “The loss hurt more than his kne”', 'Why did Coach Joe say “Tough game” to his team?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(15, 'Summative', '3rd grade', 'Spring', 'CB13', '', '1', '3.Spring.CB13.Sum', 'Jane walked as quietly as she could over the dark, sodden trail. Decayed leaves, sticks and fallen branches littered the path. She stepped over them as best she could, but the going was difficult. Jane was trying to get back to camp without making a sound. Her friends were there and she knew they would be worried about her. It had been two hours since she told them “I’ll be right back.” <p><p>High above tree branches formed a canopy that obscured the sun. She could tell it was getting lower in the sky. But as much as she wanted to run, she knew she needed to be careful not to trip. Jane was concerned that if she were to seriously injure herself no one would know where to find her. The last thing she wanted was to spend the night in woods injured and alone.<p><p>', 'What is the meaning of “sodden” as used in the story?', 'Why is Jane anxious about returning to camp?', 'Besides returning to camp, what is Jane’s primary concern?', 'During what time of day does the story take place?', 'It is dusk in the stor How does this likely affect Jane?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(16, 'Summative', '3rd grade', 'Spring', 'CB15', '', '2', '3.Spring.CB15.Sum', 'Camping is when people live outdoors for a few days or more. There are many ways people go camping. Some like to stay in a special vehicle containing a bed and small kitchen. Others may stay in rugged, log buildings called lodges that are built inside a forest. Backpackers prefer a more rugged experience.<p><p>Backpackers carry everything they need into the woods. They use a large pack that fits on their back to haul their gear. They wear boots and often have special clothes to protect them from the weather. Backpackers carry a small cloth shelter called a tent that is big enough for one or two people. They may live in the woods for several days. They often hike for miles over trails. Backpackers bring supplies and sleeping bags. They must also bring their own food and emergency supplies.<p><p>', 'Where do people live when camping?', 'What is a lodge?', 'What do backpackers carry?', 'Which best defines a tent?', 'Where are lodges built?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(17, 'Summative', '3rd grade', 'Winter', 'CB13', '', '1', '3.Winter.CB13.Sum', 'Scooters are no longer child’s play. Today’s scooters can move an adult along without pushing. Using a tiny motor, scooters can go about fifteen miles an hour. Many adults living in cities would rather ride a scooter than walk. And they are easy to rent. Using your phone you locate a scooter in your area. Once found, the app tells you how much charge is left on the scooter’s motor. If you want to rent the scooter you unlock it with your phone. Scooters are cheap, as little as 15 cents a minute. Once unlocked you can ride the scooter and then drop it where you arrive. Now you know, scooters aren’t just for kids anymore! ', 'What does “child’s play” mean?', 'What is a scooter?', 'What does “rent” mean in the story?', 'The story says to “move an adult alon” What does this mean?', 'What feature makes a scooter easy to rent?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00'),
(18, 'Summative', '3rd grade', 'Winter', 'CB14', '', '2', '3.Winter.CB14', 'Cody sat cross-legged on the grass with his new teammates as Coach Joe reinforced the value of team work. As he finished he concluded by saying that today the team would run drills and then scrimmage. Coach quickly slapped his hands together and yelled excitedly “Okay!”  “Let’s play some soccer!”<p><p>As the team sprinted to the field Coach frantically blew his whistle. \"Everybody back!\" yelled Coach. The boys formed a big huddle. “I forgot to ask, who has a name for our team?”  asked Coach. Cody started to raise his hand but a boy loudly blurted out, “Sharks!” Everyone looked at the boy in surprise and awe. “I think we should be the Sharks” the kid pronounced with confidence.”  <p><p>“That’s a pretty good name,” said Coach.  “Anybody else have another?”<p><p>Cody wanted to suggest the Green Dragons but he timidly hesitated, Sharks was really good and he didn\'t want to be rebuffed by his new teammates.<p><p>Suddenly Coach Joe said \"Okay, Sharks it is.” The boys shouted \"Go SHARKS!”<p><p>', 'Where were the boys sitting?', 'What is meant in the story by the word “teamwork?”', 'What does Coach mean when he says “Let’s play some soccer?”', 'What is a huddle?', 'What description best describes Coach?', 1, 0, '2019-09-24 21:36:00', '2019-09-24 21:36:00');

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_summative_questions_answers`
--

CREATE TABLE `fluency_comprehension_summative_questions_answers` (
  `summative_question_id` int(11) NOT NULL,
  `assessment_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grade` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `session` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_sequence` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paragraph_text` mediumtext COLLATE utf8mb4_unicode_ci,
  `question_no` int(11) DEFAULT NULL,
  `question_text` mediumtext COLLATE utf8mb4_unicode_ci,
  `option1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `correct_answer` int(5) DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `fluency_comprehension_summative_questions_answers`
--

INSERT INTO `fluency_comprehension_summative_questions_answers` (`summative_question_id`, `assessment_type`, `grade`, `session`, `paragraph_sequence`, `paragraph_id`, `paragraph_text`, `question_no`, `question_text`, `option1`, `option2`, `option3`, `option4`, `correct_answer`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, 'Summative', '1st grade', 'Fall', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe. Moe likes to play. We play ball. Moe barks. He wags his tail. Moe is fun.', 1, 'Who is Moe?', 'a.   A friend', 'b.   A dog', 'c.   A cat', '', 2, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(2, 'Summative', '1st grade', 'Fall', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe. Moe likes to play. We play ball. Moe barks. He wags his tail. Moe is fun.', 2, 'What does Moe like?', 'a.   To fight', 'b.   To sleep', 'c.   To play', '', 3, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(3, 'Summative', '1st grade', 'Fall', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe. Moe likes to play. We play ball. Moe barks. He wags his tail. Moe is fun.', 3, 'What does Moe play with?', 'a.   A ball', 'b.   A bone', 'c.   A rag', '', 1, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(4, 'Summative', '1st grade', 'Fall', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe. Moe likes to play. We play ball. Moe barks. He wags his tail. Moe is fun.', 4, 'How does Moe show he is happy?', 'a.   Licks', 'b.   Wags his tail', 'c.   Sleeps', '', 2, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(5, 'Summative', '1st grade', 'Fall', '1', '1.Fall.CB1.Sum', 'I have a dog. His name is Moe. Moe likes to play. We play ball. Moe barks. He wags his tail. Moe is fun.', 5, 'How is Moe described?', 'a.   Sad', 'b.   Mean', 'c.   Fun', '', 3, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(6, 'Summative', '1st grade', 'Fall', '2', '1.Fall.CB3.Sum', 'Mom likes to play with me.\nWe play catch with a ball.\nThe ball is red.\nI use to have a blue ball.\nMom throws the ball to me.\nI catch it with two hands.\nI throw the ball back.\nWe have lots of fun.\n', 1, 'What does Mom like to do?', 'a.   Work', 'b.   Eat', 'c.   Play', '', 3, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(7, 'Summative', '1st grade', 'Fall', '2', '1.Fall.CB3.Sum', 'Mom likes to play with me.\nWe play catch with a ball.\nThe ball is red.\nI use to have a blue ball.\nMom throws the ball to me.\nI catch it with two hands.\nI throw the ball back.\nWe have lots of fun.\n', 2, 'What game does Mom play?', 'a.   Catch ', 'b.   Cards', 'c.   Tag', '', 1, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(8, 'Summative', '1st grade', 'Fall', '2', '1.Fall.CB3.Sum', 'Mom likes to play with me.\nWe play catch with a ball.\nThe ball is red.\nI use to have a blue ball.\nMom throws the ball to me.\nI catch it with two hands.\nI throw the ball back.\nWe have lots of fun.\n', 3, 'What color is the ball?', 'a.   Red', 'b.   Yellow', 'c.   Green', '', 1, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(9, 'Summative', '1st grade', 'Fall', '2', '1.Fall.CB3.Sum', 'Mom likes to play with me.\nWe play catch with a ball.\nThe ball is red.\nI use to have a blue ball.\nMom throws the ball to me.\nI catch it with two hands.\nI throw the ball back.\nWe have lots of fun.\n', 4, 'What does Mom do with the ball?', 'a.   Throws it', 'b.   Puts it away', 'c.   Kicks the ball', '', 1, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55'),
(10, 'Summative', '1st grade', 'Fall', '2', '1.Fall.CB3.Sum', 'Mom likes to play with me.\nWe play catch with a ball.\nThe ball is red.\nI use to have a blue ball.\nMom throws the ball to me.\nI catch it with two hands.\nI throw the ball back.\nWe have lots of fun.\n', 5, 'How does the child in the story feel?', 'a.   Sad', 'b.   Tired', 'c.   Happy', '', 3, 1, 0, '2019-09-21 10:55:55', '2019-09-21 10:55:55');

-- --------------------------------------------------------

--
-- Table structure for table `fluency_comprehension_summative_test_results`
--

CREATE TABLE `fluency_comprehension_summative_test_results` (
  `test_result_id` int(11) NOT NULL,
  `student_teachers_id` int(11) DEFAULT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `student_name` varchar(255) DEFAULT NULL,
  `student_teachers_name` varchar(255) DEFAULT NULL,
  `student_teachers_email_address` varchar(100) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `session` varchar(50) DEFAULT NULL,
  `paragraph_id` varchar(50) DEFAULT NULL,
  `paragraph_sequence` varchar(50) DEFAULT NULL,
  `record_audio_file` varchar(255) DEFAULT NULL,
  `question_answers` text COMMENT 'json array',
  `count_correct_answer` int(5) DEFAULT NULL,
  `miscued_word_count` int(11) NOT NULL,
  `is_discontinue_test` int(11) NOT NULL DEFAULT '0',
  `word_read_count` int(11) NOT NULL,
  `total_word_read_correctly` int(11) NOT NULL,
  `seconds` int(11) NOT NULL,
  `reading_rate` decimal(5,2) NOT NULL,
  `accuracy_percentage` decimal(5,2) NOT NULL,
  `accumaticity` decimal(11,2) NOT NULL COMMENT 'this is simply words read correctly per minute',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `sentences`
--

CREATE TABLE `sentences` (
  `sentence_id` int(11) NOT NULL,
  `student_grade_level` varchar(50) NOT NULL,
  `sentence` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `complexity_band` varchar(50) NOT NULL,
  `is_active` tinyint(1) DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sentences`
--

INSERT INTO `sentences` (`sentence_id`, `student_grade_level`, `sentence`, `complexity_band`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, 'Kindergarten', 'See Dad.', '60L', 1, 0, '2019-07-09 20:13:05', '2019-07-09 20:13:05'),
(2, 'Kindergarten', 'See Mom.', '60L', 1, 0, '2019-07-09 20:13:05', '2019-07-09 20:13:05'),
(3, 'Kindergarten', 'Stay here.', '60L', 1, 0, '2019-07-09 20:13:05', '2019-07-09 20:13:05'),
(4, 'Kindergarten', 'It is me.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(5, 'Kindergarten', 'Let\'s play.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(6, 'Kindergarten', 'See the ball.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(7, 'Kindergarten', 'Dogs like you.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(8, 'Kindergarten', 'Milk is good.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(9, 'Kindergarten', 'Look at her.', '60L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(10, 'Kindergarten', 'The day is hot.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(11, 'Kindergarten', 'We saw the boy.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(12, 'Kindergarten', 'Let\'s go home.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(13, 'Kindergarten', 'Look over here.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(14, 'Kindergarten', 'My cat is nice.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(15, 'Kindergarten', 'Come over here.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(16, 'Kindergarten', 'Today is warm.', '110L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(17, 'Kindergarten', 'The dog was brown.', '120L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(18, 'Kindergarten', 'The car is pretty.', '120L', 1, 0, '2019-07-09 20:13:06', '2019-07-09 20:13:06'),
(19, 'Kindergarten', 'The sun is up.', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07'),
(20, 'Kindergarten', 'It is going to rain.', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07'),
(21, 'Kindergarten', 'The dog wants to play.', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07'),
(22, 'Kindergarten', 'Can you play today?', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07'),
(23, 'Kindergarten', 'When will Mom be home?', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07'),
(24, 'Kindergarten', 'We can play ball now.', '120L', 1, 0, '2019-07-09 20:13:07', '2019-07-09 20:13:07');

-- --------------------------------------------------------

--
-- Table structure for table `sentence_fluency_test_results`
--

CREATE TABLE `sentence_fluency_test_results` (
  `test_result_id` int(11) NOT NULL,
  `student_teachers_id` int(11) DEFAULT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `student_name` varchar(255) DEFAULT NULL,
  `student_teachers_name` varchar(255) DEFAULT NULL,
  `student_teachers_email_address` varchar(100) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `test_type` enum('summative','formative') DEFAULT NULL,
  `session` varchar(50) DEFAULT NULL,
  `miscued_word_count` int(11) NOT NULL,
  `is_discontinue_test` int(11) NOT NULL DEFAULT '0',
  `word_read_count` int(11) NOT NULL,
  `total_word_read_correctly` int(11) NOT NULL,
  `seconds` int(11) NOT NULL,
  `reading_rate` decimal(5,2) NOT NULL,
  `accuracy_percentage` decimal(5,2) NOT NULL,
  `accumaticity` decimal(11,2) NOT NULL COMMENT 'this is simply words read correctly per minute',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sentence_fluency_test_results`
--

INSERT INTO `sentence_fluency_test_results` (`test_result_id`, `student_teachers_id`, `student_id`, `student_name`, `student_teachers_name`, `student_teachers_email_address`, `student_grade_level`, `test_type`, `session`, `miscued_word_count`, `is_discontinue_test`, `word_read_count`, `total_word_read_correctly`, `seconds`, `reading_rate`, `accuracy_percentage`, `accumaticity`, `createdAt`, `updatedAt`) VALUES
(1, 6, '12547989', 'himangshu M Sahoo', 'agniva roy', 'agniva19@gmail.com', '1st grade', 'summative', 'Fall', 14, 0, 70, 56, 7, '10.00', '80.00', '480.00', '2019-08-15 23:00:01', '2019-08-15 23:00:01'),
(2, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 5, 0, 83, 78, 13, '6.38', '93.98', '360.00', '2019-08-16 22:19:23', '2019-08-16 22:19:23'),
(3, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 3, 0, 74, 71, 120, '0.62', '95.95', '35.50', '2019-08-16 22:22:32', '2019-08-16 22:22:32'),
(4, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 0, 0, 83, 83, 10, '8.30', '100.00', '498.00', '2019-08-17 20:52:42', '2019-08-17 20:52:42'),
(5, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 0, 0, 72, 72, 120, '0.60', '100.00', '36.00', '2019-08-17 20:55:51', '2019-08-17 20:55:51'),
(6, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 0, 0, 6, 6, 120, '0.05', '100.00', '3.00', '2019-08-17 20:58:27', '2019-08-17 20:58:27'),
(7, 6, '4544113131', 'himangshu M Sahoo', 'agniva roy', 'gourangadutta91@gmail.com', '1st grade', 'summative', 'Fall', 15, 0, 83, 68, 8, '10.38', '81.93', '510.00', '2019-08-17 22:42:30', '2019-08-17 22:42:30'),
(8, 6, '4544113131', 'himangshu M Sahoo', 'agniva roy', 'gourangadutta91@gmail.com', '1st grade', 'summative', 'Fall', 5, 0, 6, 1, 17, '0.35', '16.67', '3.53', '2019-08-19 00:02:16', '2019-08-19 00:02:16'),
(9, 6, '4544113131', 'himangshu M Sahoo', 'agniva roy', 'gourangadutta91@gmail.com', '1st grade', 'summative', 'Fall', 6, 0, 6, 0, 10, '0.60', '0.00', '0.00', '2019-08-19 00:11:58', '2019-08-19 00:11:58'),
(10, 6, '4544113131', 'himangshu M Sahoo', 'agniva roy', 'gourangadutta91@gmail.com', '1st grade', 'summative', 'Fall', 4, 0, 4, 0, 10, '0.40', '0.00', '0.00', '2019-08-19 00:23:03', '2019-08-19 00:23:03'),
(11, 9, '123456787', 'Shawn M Taylor First', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 0, 0, 77, 77, 120, '0.64', '100.00', '38.50', '2019-08-19 22:51:27', '2019-08-19 22:51:27'),
(12, 34, 'test_David', 'rahul N kumar', 'agniva roy', 'gourangadutta91@gmail.com', '1st grade', 'summative', 'Fall', 0, 0, 83, 83, 8, '10.38', '100.00', '622.50', '2019-08-21 01:51:40', '2019-08-21 01:51:40'),
(13, 22, 'test_Shawn', 'Test_kindergarten  Test', 'Test Test', 'st4202002@yahoo.com', 'Kindergarten', 'summative', 'Fall', 0, 0, 73, 73, 6, '12.17', '100.00', '730.00', '2019-08-21 03:47:11', '2019-08-21 03:47:11'),
(14, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'summative', 'Fall', 3, 0, 83, 80, 114, '0.73', '96.39', '42.11', '2019-08-21 16:51:52', '2019-08-21 16:51:52'),
(15, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'summative', 'Fall', 0, 0, 83, 83, 43, '1.93', '100.00', '115.81', '2019-08-21 16:54:09', '2019-08-21 16:54:09'),
(16, 38, 'test_Shawn', 'Test_1st  Test', 'Shawn Taylor', 'st4202002@yahoo.com', '1st Grade', 'summative', 'Fall', 1, 0, 83, 82, 120, '0.69', '98.80', '41.00', '2019-09-17 04:43:15', '2019-09-17 04:43:15'),
(17, 44, 'test_Dawn', 'Test_1st  Test', 'Dawn Anderson', 'dawn.anderson@gcsu.edu ', '1st grade', 'summative', 'Fall', 0, 0, 2, 2, 120, '0.02', '100.00', '1.00', '2019-09-19 20:29:46', '2019-09-19 20:29:46');

-- --------------------------------------------------------

--
-- Table structure for table `spelling_summative_test_results`
--

CREATE TABLE `spelling_summative_test_results` (
  `test_result_id` int(11) NOT NULL,
  `student_teachers_id` int(11) DEFAULT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `student_name` varchar(255) DEFAULT NULL,
  `student_teachers_name` varchar(255) DEFAULT NULL,
  `student_teachers_email_address` varchar(100) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `session` varchar(50) DEFAULT NULL,
  `spelling_summative_word_id` int(11) DEFAULT NULL,
  `word` varchar(255) DEFAULT NULL,
  `student_answer` varchar(255) DEFAULT NULL,
  `is_correct_answer` tinyint(4) NOT NULL DEFAULT '0',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `spelling_summative_words`
--

CREATE TABLE `spelling_summative_words` (
  `spelling_summative_word_id` int(11) NOT NULL,
  `stage` int(11) DEFAULT NULL,
  `word_id` int(11) DEFAULT NULL,
  `category` int(11) DEFAULT NULL,
  `word` varchar(100) DEFAULT NULL,
  `audio` text,
  `is_deleted` tinyint(1) DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `spelling_summative_words`
--

INSERT INTO `spelling_summative_words` (`spelling_summative_word_id`, `stage`, `word_id`, `category`, `word`, `audio`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(1, 1, 1, 1, 'man', 'uploads/man.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(2, 1, 2, 1, 'dot', 'uploads/dot.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(3, 1, 3, 1, 'his', 'uploads/his.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(4, 1, 4, 1, 'has', 'uploads/has.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(5, 1, 5, 1, 'wag', 'uploads/wag.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(6, 1, 6, 2, 'beg', 'uploads/beg.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:32'),
(7, 1, 7, 2, 'pin', 'uploads/pin.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(8, 1, 8, 2, 'tad', 'uploads/tad.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(9, 1, 9, 2, 'bus', 'uploads/bus.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:32'),
(10, 1, 10, 2, 'jog', 'uploads/jog.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(11, 1, 11, 3, 'glad', 'uploads/glad.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(12, 1, 12, 3, 'chop', 'uploads/chop.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:32'),
(13, 1, 13, 3, 'spin', 'uploads/spin.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(14, 1, 14, 3, 'plan', 'uploads/plan.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(15, 1, 15, 3, 'drop', 'uploads/drop.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(16, 1, 16, 4, 'soft', 'uploads/soft.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(17, 1, 17, 4, 'land', 'uploads/land.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(18, 1, 18, 4, 'honk', 'uploads/honk.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(19, 1, 19, 4, 'such', 'uploads/such.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(20, 1, 20, 4, 'dash', 'uploads/dash.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(21, 2, 21, 5, 'ate', 'uploads/ate.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:32'),
(22, 2, 22, 5, 'kite', 'uploads/kite.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(23, 2, 23, 5, 'hole', 'uploads/hole.wav', 0, '2019-09-10 21:47:34', '2019-09-15 09:29:33'),
(24, 2, 24, 5, 'cute', 'uploads/cute.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(25, 2, 25, 5, 'made', 'uploads/made.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(26, 2, 26, 6, 'far', 'uploads/far.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(27, 2, 27, 6, 'hair', 'uploads/hair.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(28, 2, 28, 6, 'year', 'uploads/year.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(29, 2, 29, 6, 'corn', 'uploads/corn.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:32'),
(30, 2, 30, 6, 'burn', 'uploads/burn.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:32'),
(31, 2, 31, 7, 'quit', 'uploads/quit.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(32, 2, 32, 7, 'scrap', 'uploads/scrap.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(33, 2, 33, 7, 'split', 'uploads/split.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(34, 2, 34, 7, 'reach', 'uploads/reach.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(35, 2, 35, 7, 'throat', 'uploads/throat.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(36, 2, 36, 8, 'now', 'uploads/now.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(37, 2, 37, 8, 'loud', 'uploads/loud.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(38, 2, 38, 8, 'growl', 'uploads/growl.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(39, 2, 39, 8, 'joy', 'uploads/joy.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(40, 2, 40, 8, 'oil', 'uploads/oil.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(41, 3, 41, 9, 'jumped', 'uploads/jumped.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(42, 3, 42, 9, 'yelled', 'uploads/yelled.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(43, 3, 43, 9, 'joked', 'uploads/joked.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(44, 3, 44, 9, 'hopped', 'uploads/hopped.wav', 0, '2019-09-10 21:47:35', '2019-09-15 09:29:33'),
(45, 3, 45, 9, 'arrive', 'uploads/arrive.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(46, 3, 46, 10, 'player', 'uploads/player.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(47, 3, 47, 10, 'basket', 'uploads/basket.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(48, 3, 48, 10, 'party', 'uploads/party.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(49, 3, 49, 10, 'decide', 'uploads/decide.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(50, 3, 50, 10, 'cartoon', 'uploads/cartoon.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(51, 3, 51, 11, 'jar', 'uploads/jar.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(52, 3, 52, 11, 'stern', 'uploads/stern.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(53, 3, 53, 11, 'burn', NULL, 0, '2019-09-10 21:47:36', '2019-09-10 21:47:36'),
(54, 3, 54, 11, 'fort', 'uploads/fort.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(55, 3, 55, 11, 'roar', 'uploads/roar.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(56, 3, 56, 12, 'final', 'uploads/final.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(57, 3, 57, 12, 'novel', 'uploads/novel.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(58, 3, 58, 12, 'collar', 'uploads/collar.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(59, 3, 59, 12, 'fixture', 'uploads/fixture.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(60, 3, 60, 12, 'bacon', 'uploads/bacon.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(61, 4, 61, 13, 'assign', 'uploads/assign.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:32'),
(62, 4, 62, 13, 'crumb', 'uploads/crumb.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(63, 4, 63, 13, 'sign', 'uploads/sign.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(64, 4, 64, 13, 'crumble', 'uploads/crumble.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(65, 4, 65, 13, 'signal', 'uploads/signal.wav', 0, '2019-09-10 21:47:36', '2019-09-15 09:29:33'),
(66, 4, 66, 14, 'expression', 'uploads/expression.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(67, 4, 67, 14, 'evasion', 'uploads/evasion.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(68, 4, 68, 14, 'admission', 'uploads/admission.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:32'),
(69, 4, 69, 14, 'locality', 'uploads/locality.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(70, 4, 70, 14, 'breakable', 'uploads/breakable.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:32'),
(71, 4, 71, 15, 'combustible', 'uploads/combustible.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:32'),
(72, 4, 72, 15, 'creditable', 'uploads/creditable.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(73, 4, 73, 15, 'gullible', 'uploads/gullible.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(74, 4, 74, 15, 'excitable', 'uploads/excitable.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(75, 4, 75, 15, 'brilliance', 'uploads/brilliance.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:32'),
(76, 4, 76, 16, 'inoperable', 'uploads/inoperable.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(77, 4, 77, 16, 'illogical', 'uploads/illogical.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(78, 4, 78, 16, 'explanatory', 'uploads/explanatory.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33'),
(79, 4, 79, 16, 'boundary', 'uploads/boundary.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:32'),
(80, 4, 80, 16, 'customary', 'uploads/customary.wav', 0, '2019-09-10 21:47:37', '2019-09-15 09:29:33');

-- --------------------------------------------------------

--
-- Table structure for table `student_teachers`
--

CREATE TABLE `student_teachers` (
  `student_teachers_id` int(11) NOT NULL,
  `student_id` varchar(50) NOT NULL,
  `student_first_name` varchar(50) DEFAULT NULL,
  `student_middle_name` varchar(50) DEFAULT NULL,
  `student_last_name` varchar(50) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `student_teachers_first_name` varchar(50) DEFAULT NULL,
  `student_teachers_last_name` varchar(50) DEFAULT NULL,
  `student_teachers_email_address` varchar(50) DEFAULT NULL,
  `student_teachers_password` varchar(255) DEFAULT NULL,
  `student_school_name` varchar(100) DEFAULT NULL,
  `student_school_city` varchar(50) DEFAULT NULL,
  `student_school_state` varchar(50) DEFAULT NULL,
  `student_school_zip_code` int(11) DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `student_teachers`
--

INSERT INTO `student_teachers` (`student_teachers_id`, `student_id`, `student_first_name`, `student_middle_name`, `student_last_name`, `student_grade_level`, `student_teachers_first_name`, `student_teachers_last_name`, `student_teachers_email_address`, `student_teachers_password`, `student_school_name`, `student_school_city`, `student_school_state`, `student_school_zip_code`, `is_active`, `is_deleted`, `createdAt`, `updatedAt`) VALUES
(11, '123456787', 'David', 'Z', 'Paige', 'Kindergarten', 'David', 'Paige', 'dpaige715@gmail.com', '452ad0d2e7a66fe5d6d967f41b4a51cb', 'Northshore Elementary', 'Tampa', 'FL', 33674, 1, 0, '2019-07-09 23:00:00', '2019-08-21 16:37:31'),
(12, '123456787', 'Grant', 'S', 'Smith', 'Kindergarten', 'Grant', 'Smith', '13grantsmith@gmail.com', NULL, 'Northshore Elementary', 'Tampa', 'FL', 33674, 1, 0, '2019-07-09 23:00:00', '2019-07-09 23:00:00'),
(22, 'test_Shawn', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Test', 'Test', 'st4202002@yahoo.com', '13331aa68401747c9f4791c5bc9454ed', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 03:46:33'),
(24, 'test_Shawn', 'Test_2nd', '', 'Test', '2nd grade', 'Test', 'Test', 'st4202002@yahoo.com', '13331aa68401747c9f4791c5bc9454ed', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 03:46:33'),
(25, 'test_Shawn', 'Test_3rd', '', 'Test', '3rd grade', 'Test', 'Test', 'st4202002@yahoo.com', '13331aa68401747c9f4791c5bc9454ed', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 03:46:33'),
(26, 'test_Grant', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Test', 'Test', '13grantsmith@gmail.com', NULL, 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-19 19:18:56'),
(27, 'test_Grant', 'Test_1st', '', 'Test', '1st grade', 'Test', 'Test', '13grantsmith@gmail.com', NULL, 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-19 19:18:56'),
(28, 'test_Grant', 'Test_2nd', '', 'Test', '2nd grade', 'Test', 'Test', '13grantsmith@gmail.com', NULL, 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-19 19:18:56'),
(29, 'test_Grant', 'Test_3rd', '', 'Test', '3rd grade', 'Test', 'Test', '13grantsmith@gmail.com', NULL, 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-19 19:18:56'),
(30, 'test_David', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Test', 'Test', 'dpaige715@gmail.com', '452ad0d2e7a66fe5d6d967f41b4a51cb', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 16:37:31'),
(31, 'test_David', 'Test_1st', '', 'Test', '1st grade', 'Test', 'Test', 'dpaige715@gmail.com', '452ad0d2e7a66fe5d6d967f41b4a51cb', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 16:37:31'),
(32, 'test_David', 'Test_2nd', '', 'Test', '2nd grade', 'Test', 'Test', 'dpaige715@gmail.com', '452ad0d2e7a66fe5d6d967f41b4a51cb', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 16:37:31'),
(33, 'test_David', 'Test_3rd', '', 'Test', '3rd grade', 'Test', 'Test', 'dpaige715@gmail.com', '452ad0d2e7a66fe5d6d967f41b4a51cb', 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-19 19:18:56', '2019-08-21 16:37:31'),
(38, 'test_Shawn', 'Test_1st', '', 'Test', '1st Grade', 'Shawn', 'Taylor', 'st4202002@yahoo.com', NULL, 'Test', 'Tampa', 'FL', 33674, 1, 0, '2019-08-31 15:50:03', '2019-08-31 15:50:03'),
(39, 'test_Casandra', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Casandra', 'Coleman', 'casandra.coleman@gcsu.edu', '55449d45980712e8f87b9ddf738ea4c1', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:10:36'),
(40, 'test_Casandra', 'Test_1st', '', 'Test', '1st grade', 'Casandra', 'Coleman', 'casandra.coleman@gcsu.edu', '55449d45980712e8f87b9ddf738ea4c1', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:10:36'),
(41, 'test_Casandra', 'Test_2nd', '', 'Test', '2nd grade', 'Casandra', 'Coleman', 'casandra.coleman@gcsu.edu', '55449d45980712e8f87b9ddf738ea4c1', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:10:36'),
(42, 'test_Casandra', 'Test_3rd', '', 'Test', '3rd grade', 'Casandra', 'Coleman', 'casandra.coleman@gcsu.edu', '55449d45980712e8f87b9ddf738ea4c1', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:10:36'),
(43, 'test_Dawn', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Dawn', 'Anderson', 'dawn.anderson@gcsu.edu ', '66af6940ee89e22e8f1b35c0698c1418', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:00'),
(44, 'test_Dawn', 'Test_1st', '', 'Test', '1st grade', 'Dawn', 'Anderson', 'dawn.anderson@gcsu.edu ', '66af6940ee89e22e8f1b35c0698c1418', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:00'),
(45, 'test_Dawn', 'Test_2nd', '', 'Test', '2nd grade', 'Dawn', 'Anderson', 'dawn.anderson@gcsu.edu ', '66af6940ee89e22e8f1b35c0698c1418', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:00'),
(46, 'test_Dawn', 'Test_3rd', '', 'Test', '3rd grade', 'Dawn', 'Anderson', 'dawn.anderson@gcsu.edu ', '66af6940ee89e22e8f1b35c0698c1418', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:00'),
(47, 'test_Ranecci', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Ranecci', 'Hampton', 'ranecci.hampton@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:19'),
(48, 'test_Ranecci', 'Test_1st', '', 'Test', '1st grade', 'Ranecci', 'Hampton', 'ranecci.hampton@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:19'),
(49, 'test_Ranecci', 'Test_2nd', '', 'Test', '2nd grade', 'Ranecci', 'Hampton', 'ranecci.hampton@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:19'),
(50, 'test_Ranecci', 'Test_3rd', '', 'Test', '3rd grade', 'Ranecci', 'Hampton', 'ranecci.hampton@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:19'),
(51, 'test_Stephanie', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Stephanie', 'Stewart', 'stephanie.stewart1@gcsu.edu', '2ee1c20e1b4be75a7b603ee8e3b428d2', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:20'),
(52, 'test_Stephanie', 'Test_1st', '', 'Test', '1st grade', 'Stephanie', 'Stewart', 'stephanie.stewart1@gcsu.edu', '2ee1c20e1b4be75a7b603ee8e3b428d2', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:20'),
(53, 'test_Stephanie', 'Test_2nd', '', 'Test', '2nd grade', 'Stephanie', 'Stewart', 'stephanie.stewart1@gcsu.edu', '2ee1c20e1b4be75a7b603ee8e3b428d2', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:20'),
(54, 'test_Stephanie', 'Test_3rd', '', 'Test', '3rd grade', 'Stephanie', 'Stewart', 'stephanie.stewart1@gcsu.edu', '2ee1c20e1b4be75a7b603ee8e3b428d2', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:11:20'),
(55, 'test_Wendy', 'Test_kindergarten', '', 'Test', 'Kindergarten', 'Wendy', 'Lumley', 'wendy.lumley@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:15:22'),
(56, 'test_Wendy', 'Test_1st', '', 'Test', '1st grade', 'Wendy', 'Lumley', 'wendy.lumley@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:15:22'),
(57, 'test_Wendy', 'Test_2nd', '', 'Test', '2nd grade', 'Wendy', 'Lumley', 'wendy.lumley@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:15:22'),
(58, 'test_Wendy', 'Test_3rd', '', 'Test', '3rd grade', 'Wendy', 'Lumley', 'wendy.lumley@gcsu.edu', 'e52a7b054d2bd555a6cb0a9b8333530c', 'Test', 'Milledgeville', 'GA', 31061, 1, 0, '2019-09-18 01:29:08', '2019-09-19 20:15:22');

-- --------------------------------------------------------

--
-- Table structure for table `student_teacher_email_tokens`
--

CREATE TABLE `student_teacher_email_tokens` (
  `email_token_id` int(11) NOT NULL,
  `student_teachers_id` int(11) NOT NULL,
  `email` varchar(100) NOT NULL,
  `unique_key` varchar(255) NOT NULL,
  `token_type` enum('forgot_password','account_verify') NOT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `student_teacher_email_tokens`
--

INSERT INTO `student_teacher_email_tokens` (`email_token_id`, `student_teachers_id`, `email`, `unique_key`, `token_type`, `createdAt`, `updatedAt`) VALUES
(1, 1, 'agniva.dcpl@gmail.com', 'bdf448f51e6ef1e58ad2fbb9ce305efb18a5eb3c', 'forgot_password', '2019-07-07 13:28:20', '2019-07-07 13:28:20'),
(9, 9, 'st4202002@yahoo.com', 'd799c5bbf90adbe22a5c41cef6814f8c9bd57ed0', 'forgot_password', '2019-08-01 05:53:21', '2019-08-01 05:53:21'),
(10, 17, 'vivektharhi@gmail.com', '7c03b4d73f548f057a260281818b08338050e870', 'forgot_password', '2019-08-04 00:00:57', '2019-08-04 00:00:57'),
(11, 17, 'vivektharhi@gmail.com', '60fe4b53d0673e518f5e9b54fa9988868976212d', 'forgot_password', '2019-08-04 00:06:14', '2019-08-04 00:06:14'),
(12, 17, 'vivektharhi@gmail.com', '71e452ff54d7567efba674aba45c1e15aa210394', 'forgot_password', '2019-08-04 00:08:51', '2019-08-04 00:08:51'),
(13, 17, 'vivektharhi@gmail.com', 'c9d1702b044ca85b9f8ebeefac77d5adf90dce63', 'forgot_password', '2019-08-04 00:11:12', '2019-08-04 00:11:12'),
(28, 9, 'st4202002@yahoo.com', 'c1212d2f7aa7ca99e2d3210f6a29f200fa3bc47d', 'forgot_password', '2019-08-07 19:00:25', '2019-08-07 19:00:25'),
(30, 9, 'st4202002@yahoo.com', 'c8c4d7869dcd441e64629f3a7bf843e234e209e8', 'forgot_password', '2019-08-08 00:45:25', '2019-08-08 00:45:25'),
(44, 6, 'gourangadutta91@gmail.com', '2514565d91f25d5607bdae05890a870a19ae3c75', 'forgot_password', '2019-08-09 01:16:06', '2019-08-09 01:16:06'),
(45, 6, 'gourangadutta91@gmail.com', 'd652f4d668ae7d5d63a1db485f2e53a1721b16dd', 'forgot_password', '2019-08-09 01:18:02', '2019-08-09 01:18:02'),
(46, 9, 'st4202002@yahoo.com', '83fc755dede581a79de47074c3b03193c252344c', 'forgot_password', '2019-08-10 20:01:39', '2019-08-10 20:01:39'),
(47, 6, 'gourangadutta91@gmail.com', '420014eee89567460b788bce60c47cd8e7348f48', 'forgot_password', '2019-08-19 00:07:55', '2019-08-19 00:07:55'),
(51, 11, 'dpaige715@gmail.com', 'd40de67266c71bd520026255087e800f292ef4b8', 'forgot_password', '2019-09-19 01:23:23', '2019-09-19 01:23:23');

-- --------------------------------------------------------

--
-- Table structure for table `test_results`
--

CREATE TABLE `test_results` (
  `test_result_id` int(11) NOT NULL,
  `student_teachers_id` int(11) DEFAULT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `student_name` varchar(255) DEFAULT NULL,
  `student_teachers_name` varchar(255) DEFAULT NULL,
  `student_teachers_email_address` varchar(100) DEFAULT NULL,
  `student_grade_level` varchar(50) DEFAULT NULL,
  `test_type` enum('summative','formative') DEFAULT NULL,
  `session` varchar(50) DEFAULT NULL,
  `correct_words` text COMMENT 'json ',
  `incorrect_words` text COMMENT 'json ',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `test_results`
--

INSERT INTO `test_results` (`test_result_id`, `student_teachers_id`, `student_id`, `student_name`, `student_teachers_name`, `student_teachers_email_address`, `student_grade_level`, `test_type`, `session`, `correct_words`, `incorrect_words`, `createdAt`, `updatedAt`) VALUES
(1, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'summative', 'Fall', '[\"G\",\"O\",\"e\",\"D\",\"y\",\"U\",\"c\",\"d\",\"H\",\"u\",\"W\",\"P\",\"w\",\"Z\",\"i\",\"b\",\"h\",\"V\",\"B\",\"S\",\"a\",\"M\",\"I\",\"N\",\"x\",\"F\",\"j\",\"Y\",\"s\",\"K\",\"n\",\"T\",\"r\",\"z\",\"o\",\"R\",\"L\",\"X\",\"Q\",\"A\",\"k\",\"v\",\"E\",\"J\",\"g\",\"C\"]', '[\"m\",\"p\",\"f\",\"q\",\"t\",\"l\"]', '2019-08-21 16:42:03', '2019-08-21 16:42:03'),
(2, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"f\",\"H\",\"B\",\"Z\",\"m\",\"T\",\"p\",\"t\"]', '[\"Q\",\"q\",\"l\"]', '2019-08-21 16:42:46', '2019-08-21 16:42:46'),
(3, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"q\",\"A\",\"V\",\"Y\",\"l\",\"f\",\"p\",\"m\",\"P\",\"t\",\"O\"]', '[]', '2019-08-21 16:43:19', '2019-08-21 16:43:19'),
(4, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"G\",\"l\",\"m\",\"q\",\"p\",\"H\",\"t\",\"b\",\"f\",\"V\",\"P\"]', '[]', '2019-08-21 16:43:49', '2019-08-21 16:43:49'),
(5, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"p\",\"A\",\"h\",\"C\",\"t\",\"n\",\"m\",\"l\",\"K\",\"f\",\"q\"]', '[]', '2019-08-21 16:44:18', '2019-08-21 16:44:18'),
(6, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"g\",\"t\",\"m\",\"T\",\"p\",\"f\",\"n\",\"q\",\"S\",\"k\",\"l\"]', '[]', '2019-08-21 16:44:48', '2019-08-21 16:44:48'),
(7, 11, '123456787', 'David Z Paige', 'David Paige', 'dpaige715@gmail.com', 'Kindergarten', 'formative', 'Fall', '[\"b\",\"w\",\"C\",\"y\",\"m\",\"l\",\"t\",\"q\",\"p\",\"f\",\"r\"]', '[]', '2019-08-21 16:45:16', '2019-08-21 16:45:16'),
(8, 30, 'test_David', 'Test_kindergarten  Test', 'Test Test', 'dpaige715@gmail.com', 'Kindergarten', 'summative', 'Fall', '[]', '[\"l\",\"f\",\"u\",\"B\",\"G\",\"I\",\"V\",\"H\",\"g\",\"E\",\"F\",\"Q\",\"j\",\"P\",\"L\",\"T\",\"n\",\"M\",\"K\",\"D\",\"X\",\"v\",\"t\",\"z\",\"o\",\"y\",\"S\",\"c\",\"m\",\"q\",\"r\",\"J\",\"d\",\"k\",\"C\",\"O\",\"N\",\"x\",\"e\",\"p\",\"a\",\"U\",\"A\",\"b\",\"h\",\"Y\",\"R\",\"i\",\"w\",\"Z\",\"W\",\"s\"]', '2019-09-18 23:19:20', '2019-09-18 23:19:20'),
(9, 30, 'test_David', 'Test_kindergarten  Test', 'Test Test', 'dpaige715@gmail.com', 'Kindergarten', 'summative', 'Fall', '[\"t\",\"o\",\"r\",\"P\",\"I\",\"K\",\"L\",\"a\",\"h\",\"D\",\"d\",\"i\",\"e\",\"S\",\"A\",\"Y\",\"c\",\"O\",\"m\",\"V\",\"Z\",\"C\",\"f\",\"H\",\"Q\",\"w\",\"R\",\"j\",\"M\",\"J\",\"n\",\"B\",\"T\",\"N\",\"y\",\"E\",\"U\",\"F\",\"s\",\"k\",\"q\",\"G\"]', '[\"x\",\"p\",\"z\",\"l\",\"b\",\"v\",\"W\",\"g\",\"u\",\"X\"]', '2019-09-19 01:14:33', '2019-09-19 01:14:33'),
(10, 43, 'test_Dawn', 'Test_kindergarten  Test', 'Dawn Anderson', 'dawn.anderson@gcsu.edu ', 'Kindergarten', 'summative', 'Fall', '[\"F\",\"h\",\"L\",\"I\",\"w\",\"b\",\"s\",\"C\",\"S\",\"M\",\"i\",\"d\",\"f\",\"l\",\"m\",\"V\",\"v\",\"c\",\"j\",\"W\",\"p\",\"e\",\"B\",\"D\",\"H\",\"o\",\"X\",\"A\",\"J\",\"R\",\"E\",\"N\",\"a\",\"x\",\"z\",\"k\"]', '[\"Q\",\"Y\",\"T\",\"K\",\"O\",\"Z\",\"r\",\"U\",\"G\",\"q\",\"P\",\"n\",\"y\",\"u\",\"t\",\"g\"]', '2019-09-19 20:19:09', '2019-09-19 20:19:09'),
(11, 55, 'test_Wendy', 'Test_kindergarten  Test', 'Wendy Lumley', 'wendy.lumley@gcsu.edu', 'Kindergarten', 'summative', 'Fall', '[\"C\",\"k\",\"v\",\"z\",\"M\",\"Y\",\"o\",\"U\",\"m\",\"e\",\"T\",\"O\",\"f\",\"B\",\"l\",\"Z\",\"r\",\"a\",\"c\",\"t\",\"I\",\"p\",\"w\",\"L\",\"W\",\"u\",\"F\",\"h\",\"S\",\"P\",\"A\",\"D\",\"x\",\"s\",\"V\",\"n\",\"N\",\"R\"]', '[\"q\",\"H\",\"K\",\"G\",\"y\",\"i\",\"d\",\"J\",\"b\",\"E\",\"X\",\"Q\",\"g\",\"j\"]', '2019-09-19 20:19:50', '2019-09-19 20:19:50');

-- --------------------------------------------------------

--
-- Table structure for table `tokens`
--

CREATE TABLE `tokens` (
  `token_id` int(11) NOT NULL,
  `student_teachers_id` int(11) NOT NULL,
  `unique_token` varchar(255) NOT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tokens`
--

INSERT INTO `tokens` (`token_id`, `student_teachers_id`, `unique_token`, `createdAt`, `updatedAt`) VALUES
(1, 6, 'bd842c2933cd82a4b45da981d9b59cf7e84d9e78', '2019-07-26 00:22:18', '2019-07-26 00:22:18'),
(2, 6, '248fb9a41ccd96802c252b5c4cd48f0e1a00fd55', '2019-07-26 00:52:45', '2019-07-26 00:52:45'),
(3, 6, 'f1c3d7a3d4c96f276a205e22c120e1eeadff3616', '2019-07-29 00:07:58', '2019-07-29 00:07:58'),
(4, 8, '3066d7c74f07bdb1ba9fddab3b2fa0da771195f1', '2019-07-29 00:23:57', '2019-07-29 00:23:57'),
(5, 6, 'cb42f697194e6e1e581edc050ed84d27f556f05e', '2019-07-29 00:27:10', '2019-07-29 00:27:10'),
(6, 8, '43b5d7e04610db5073c4880b90dab1539693c049', '2019-07-29 00:34:09', '2019-07-29 00:34:09'),
(7, 8, '181c762dca9080c1044349b3efeb8118f03d171c', '2019-07-29 01:08:23', '2019-07-29 01:08:23'),
(8, 8, '93e7c5e4f1d652487c27c29d8c72ee86b5ae170a', '2019-07-29 01:37:24', '2019-07-29 01:37:24'),
(9, 4, '48d15fadf611dfbb423b14517924b870b0007fa9', '2019-07-29 21:28:10', '2019-07-29 21:28:10'),
(10, 4, '568d9f2e6c55ab4877c6552b904c4dbe7eeac073', '2019-07-29 21:32:58', '2019-07-29 21:32:58'),
(11, 4, '3dbdaba828ca4cb2355f0f67c25ba3c634029918', '2019-07-30 00:07:17', '2019-07-30 00:07:17'),
(12, 4, 'a88d8d405c8fdf67022c1266497f7a3ea0cc1b13', '2019-07-30 00:13:37', '2019-07-30 00:13:37'),
(13, 4, 'df76ba7063096d1e16655760630fe4d556ad822b', '2019-07-30 00:14:36', '2019-07-30 00:14:36'),
(14, 6, '52f88aacfe460cb36bd10a97e9d0da9c607917a2', '2019-07-31 23:54:15', '2019-07-31 23:54:15'),
(15, 4, '6ea7bc9e762179d160a76cfe4790e1b9e78d4110', '2019-08-01 00:39:23', '2019-08-01 00:39:23'),
(16, 4, '05300ea62ed497f105cd8a00a7ece270e0c43a3a', '2019-08-01 00:48:02', '2019-08-01 00:48:02'),
(17, 6, '1d0bebf58f7ad84c7e8f889de7e6ac8c840e449c', '2019-08-01 01:26:05', '2019-08-01 01:26:05'),
(18, 6, '09d928ec1c5940643165bbf7d95c0ee9abc66cb1', '2019-08-01 01:57:40', '2019-08-01 01:57:40'),
(19, 6, '3c131569c67ade0a78491f0cf6e674ffb846a3db', '2019-08-01 02:39:37', '2019-08-01 02:39:37'),
(20, 6, '88338ac6340c6c61ee3899a52f8f5738f8f70513', '2019-08-01 12:05:47', '2019-08-01 12:05:47'),
(21, 6, '6e2dd6c38801d096f909cd43c0e596ab59a35b90', '2019-08-01 23:43:33', '2019-08-01 23:43:33'),
(22, 6, 'f04f3dae63dbf88496ffa1bf647650ac7117c931', '2019-08-03 01:55:33', '2019-08-03 01:55:33'),
(23, 4, '5e213d95f7e7daaa7e6b3837ed0f2f897e127f87', '2019-08-03 23:27:58', '2019-08-03 23:27:58'),
(24, 4, '4300218db3883819a15095285bd2b0447454fd5d', '2019-08-04 00:01:27', '2019-08-04 00:01:27'),
(25, 6, '19c7c5121c352a4b76afe1b0545ffdf88277c70b', '2019-08-04 00:18:05', '2019-08-04 00:18:05'),
(26, 4, 'cd774fa8d1a716a604dacb182bb080b655fe6bb9', '2019-08-04 10:41:48', '2019-08-04 10:41:48'),
(27, 4, 'b9e5820a42a924ad1fb6f458aaf0a4a4c3ff5e49', '2019-08-04 12:17:29', '2019-08-04 12:17:29'),
(28, 13, '053eacd65c3fadc1b1736609365edcd586a8b063', '2019-08-04 12:24:33', '2019-08-04 12:24:33'),
(29, 13, 'b6945e9672ec528b3d46cca2c7dfeae0dae2d5b0', '2019-08-04 12:25:43', '2019-08-04 12:25:43'),
(30, 13, '6738622719cc7486afa894acf21b9e3e13f9992e', '2019-08-04 12:45:10', '2019-08-04 12:45:10'),
(31, 13, '65ea0480b04aef54cdfd2c00e63103f06d07a911', '2019-08-04 13:22:42', '2019-08-04 13:22:42'),
(32, 7, '37f466cdd6c47032a069490aadb52e1fcc321b55', '2019-08-04 22:53:36', '2019-08-04 22:53:36'),
(33, 7, '4d84c2f747100453faa78880d742a3064d2ee954', '2019-08-05 13:42:29', '2019-08-05 13:42:29'),
(34, 4, '71ffbc06bb4f8dcf78e62970b261e5a1e069f54d', '2019-08-05 21:16:44', '2019-08-05 21:16:44'),
(35, 13, '6d0de8b3c473439adcd7b014bce8b3fc58681a23', '2019-08-05 21:17:37', '2019-08-05 21:17:37'),
(36, 13, 'ffcfa085ff6ee42806ea16314f9f9676efdc9236', '2019-08-06 01:50:23', '2019-08-06 01:50:23'),
(37, 13, 'f451a249b9b34190edff002b8676d7813b82771b', '2019-08-06 01:57:43', '2019-08-06 01:57:43'),
(38, 6, '9e39455e7b84c4fbba23a316ae73213af3069dfe', '2019-08-06 11:32:17', '2019-08-06 11:32:17'),
(39, 13, '6ae0724c836ba72578dc474c28f27d242e1c7336', '2019-08-07 00:58:30', '2019-08-07 00:58:30'),
(40, 13, '50aa2ea879eb590c0605f74f8d223b9b4a769493', '2019-08-07 01:22:01', '2019-08-07 01:22:01'),
(41, 6, 'cfddf8f5df7bc78f2fbdb7cc79f22e0ffe06a0d7', '2019-08-08 00:38:11', '2019-08-08 00:38:11'),
(42, 6, '66be3736967bef31bfcbe24c2dcb6af6c3c46959', '2019-08-09 00:55:38', '2019-08-09 00:55:38'),
(43, 6, '5172218c1bafa39bf6442c02d16ad766288f4624', '2019-08-09 00:57:58', '2019-08-09 00:57:58'),
(44, 6, '1473e0085c37190fbe04598b4166a8e70435b86d', '2019-08-09 01:11:16', '2019-08-09 01:11:16'),
(45, 6, '6ef6631c74e33295d5fe523c7b71e17252677e25', '2019-08-09 01:12:26', '2019-08-09 01:12:26'),
(46, 6, '73fb117147b03e8fb34428b18db7ac26c3a4eb60', '2019-08-09 01:14:27', '2019-08-09 01:14:27'),
(47, 6, '1c93f7d44db533d0462f084cfb4da33d0d949435', '2019-08-09 09:35:02', '2019-08-09 09:35:02'),
(48, 9, 'c45988be6e74d01c9c1fc309d13c4e2974cc9aab', '2019-08-10 18:57:32', '2019-08-10 18:57:32'),
(49, 9, 'f531f2d4e49183c9588f536fdbadd77d76bb9cd3', '2019-08-10 19:59:07', '2019-08-10 19:59:07'),
(50, 6, '78f0657a49257bb04ecbd596cbafcf3f22c13d3c', '2019-08-11 13:04:37', '2019-08-11 13:04:37'),
(51, 6, 'f95872aefb4531e4afafa30e8ba9bf01291109ea', '2019-08-11 19:40:00', '2019-08-11 19:40:00'),
(52, 6, 'a02fc4b494aa99680592357cc2a24f514513edac', '2019-08-11 21:24:02', '2019-08-11 21:24:02'),
(53, 6, 'acb170e616ee61724a1b8d212b46bd182e2514a3', '2019-08-13 11:25:05', '2019-08-13 11:25:05'),
(54, 6, '121dfe17b5fa76c66afe0363d20190272f72bbdd', '2019-08-13 21:23:51', '2019-08-13 21:23:51'),
(55, 6, 'afe211f654db963e551ea8bfd57bd065c1e300a3', '2019-08-13 21:26:43', '2019-08-13 21:26:43'),
(56, 6, 'f961199c98fcde9a3d34d044ac412f1328143d5b', '2019-08-13 21:29:49', '2019-08-13 21:29:49'),
(57, 6, '10d00094b88eff31092b78e084e6c4478b782af0', '2019-08-13 21:36:40', '2019-08-13 21:36:40'),
(58, 6, '20d21c8b44925aad3daab89cfef581fe4a50f84b', '2019-08-13 22:50:25', '2019-08-13 22:50:25'),
(59, 6, '13610a1e3d9b3d824ba5f4ee32e861c3e748e747', '2019-08-14 00:37:03', '2019-08-14 00:37:03'),
(60, 6, '86bc2713f8f5b27a91112c8ffccf2d54d84aa5a4', '2019-08-14 02:09:48', '2019-08-14 02:09:48'),
(61, 13, '50515d33b9b2642df662ed32ae75b3548864c79e', '2019-08-14 02:31:55', '2019-08-14 02:31:55'),
(62, 6, 'aea78d743b11b35c929b92b2a940e6b4f2d226c7', '2019-08-14 02:32:58', '2019-08-14 02:32:58'),
(63, 6, 'b9a6edc2da07b99cec27a7e000ec719e9ca8ed10', '2019-08-14 02:38:15', '2019-08-14 02:38:15'),
(64, 13, '735cacb71b0d7ca19022a2b5dd68ad6fb573cec7', '2019-08-14 03:12:36', '2019-08-14 03:12:36'),
(65, 9, '46ecdad40e845d4454e4b2729754426d0fe7dad8', '2019-08-15 04:05:38', '2019-08-15 04:05:38'),
(66, 4, 'e7902d087f92a0fb7a095982085393078936ce75', '2019-08-15 22:58:25', '2019-08-15 22:58:25'),
(67, 6, '14135bc4ad3bbce1350c1c7901264f714c58091f', '2019-08-15 23:48:22', '2019-08-15 23:48:22'),
(68, 6, 'fba34b25fd8dbf169e19fca61c0ae37c1c183911', '2019-08-18 23:59:20', '2019-08-18 23:59:20'),
(69, 6, '23f32dd08c7e57d5cf0c42e9d97b112aefcf8e39', '2019-08-19 00:01:17', '2019-08-19 00:01:17'),
(70, 6, '15a7aa72d58fe9f6119e7c7e279a6a1ff22c6229', '2019-08-19 00:11:40', '2019-08-19 00:11:40'),
(71, 6, '6b21878adf8eb90721d0fa0b42141b240c2da513', '2019-08-19 00:22:43', '2019-08-19 00:22:43'),
(72, 9, '27491fa01e14eae173e8d8926eb80b3643f8bfcb', '2019-08-19 21:50:20', '2019-08-19 21:50:20'),
(73, 9, '4265c94eb45fd0940310c0706d06b9442d3a2c64', '2019-08-19 22:44:28', '2019-08-19 22:44:28'),
(74, 9, '5cebbcf32ff015004bbc441e3d289f32a41daa72', '2019-08-20 01:14:41', '2019-08-20 01:14:41'),
(75, 21, 'fda8597d6c9984490ee37846de27a2ecd877705b', '2019-08-20 02:02:23', '2019-08-20 02:02:23'),
(76, 21, '3d4bef10a723b719f15b4fffd5bd6d961d4dddaa', '2019-08-20 02:10:39', '2019-08-20 02:10:39'),
(77, 34, '5be5b84a898d84906cf121bbdc44476653ef2ee9', '2019-08-21 01:31:08', '2019-08-21 01:31:08'),
(78, 34, '7e5ed8bba495863e46f242ff8f6afe74036b8bfa', '2019-08-21 01:37:01', '2019-08-21 01:37:01'),
(79, 34, '987b8f73a665df414cfdc2ac0ea696a97240f3d9', '2019-08-21 01:40:36', '2019-08-21 01:40:36'),
(80, 34, '65fa9dc8d06ca32d4f2e7eca38858a4fe5a2f13e', '2019-08-21 02:01:31', '2019-08-21 02:01:31'),
(81, 34, 'f6eb66653543ae346f0f16684bf970f26c1e32f9', '2019-08-21 02:02:58', '2019-08-21 02:02:58'),
(82, 34, '26e587fcb62307ac33f333849fbf236f41c1e517', '2019-08-21 02:03:51', '2019-08-21 02:03:51'),
(83, 22, '472900a2db5964f525cdd45dbca5923255f956c9', '2019-08-21 03:46:51', '2019-08-21 03:46:51'),
(84, 22, '2b836182b93651e9c8ed0b6ebe8c4617bc1c7c7a', '2019-08-21 03:49:10', '2019-08-21 03:49:10'),
(85, 11, 'f8432bc6fb82db71a32d68c25cbf0c50cbc1c690', '2019-08-21 16:37:53', '2019-08-21 16:37:53'),
(86, 11, '629aa13aec82f6c55f96a28dd37adb1c767a50dc', '2019-08-21 16:46:01', '2019-08-21 16:46:01'),
(87, 11, '7962d36b7fdf0673be7151cb06c73ca86c458688', '2019-08-21 16:54:48', '2019-08-21 16:54:48'),
(88, 34, 'cbf6fde5f202ca369c52148890338c8d4ae9adbc', '2019-08-22 00:58:09', '2019-08-22 00:58:09'),
(89, 35, '73fff7714b7923edf4b5be15b90ae2ca675a097f', '2019-08-22 02:38:56', '2019-08-22 02:38:56'),
(90, 35, 'abbd5a3f8e315d562056b39b877c7c19cef58296', '2019-08-22 02:44:54', '2019-08-22 02:44:54'),
(91, 36, 'edaf62dab8cb87ee14945b0ecd658036cae8d706', '2019-08-22 02:45:24', '2019-08-22 02:45:24'),
(92, 35, 'f6d7897c623bb4f13abdc11a5d85f075df3d7ed3', '2019-08-22 02:47:48', '2019-08-22 02:47:48'),
(93, 36, 'b1ff1fa31b390e6ca5541b4df4befd25ee3fb393', '2019-08-22 02:48:38', '2019-08-22 02:48:38'),
(94, 37, 'f18ec946531e63f4bb5686b02282424ae5f1bd51', '2019-08-24 01:08:49', '2019-08-24 01:08:49'),
(95, 22, 'edda321f52a967154221094232150cf4f7920115', '2019-08-31 21:26:24', '2019-08-31 21:26:24'),
(96, 39, '70ffb54d27679a2eda413875497373c837866f70', '2019-09-19 20:11:27', '2019-09-19 20:11:27'),
(97, 43, '0ba7e512c0a0d07672fada801564db84e5cb224a', '2019-09-19 20:12:01', '2019-09-19 20:12:01'),
(98, 47, 'c1200b07602cf89be5d772a40bcc1ad24f9d3006', '2019-09-19 20:12:29', '2019-09-19 20:12:29'),
(99, 51, '27dda6b7b3ef876961e089652b564790c0682ad1', '2019-09-19 20:13:21', '2019-09-19 20:13:21'),
(100, 55, '2f7e74bb6b875a16b11ad010abded82750860005', '2019-09-19 20:17:09', '2019-09-19 20:17:09'),
(101, 47, '2962f91b3e02798ad7900761a3a43f3f101ef9f2', '2019-09-19 20:25:22', '2019-09-19 20:25:22'),
(102, 55, '2a73c914d4e2fe88cf0a7db4b2e30d0b9cff3a77', '2019-09-19 20:25:43', '2019-09-19 20:25:43'),
(103, 51, '863e02d0adc146ee0dc917134bed660443cf3830', '2019-09-19 20:25:47', '2019-09-19 20:25:47'),
(104, 39, '18dadce76c44e787a74c39ed7d09ec4fe9d449d6', '2019-09-19 20:26:16', '2019-09-19 20:26:16'),
(105, 43, 'a370870a6540295f8b3974d768b037596f690cbc', '2019-09-19 20:26:30', '2019-09-19 20:26:30'),
(106, 22, 'a52b06eb9c1ab922fb520a0ac6082ca142cd6f9c', '2019-10-02 06:14:37', '2019-10-02 06:14:37');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admin`
--
ALTER TABLE `admin`
  ADD PRIMARY KEY (`admin_id`);

--
-- Indexes for table `fluency_comprehension_formative_complexity_bands`
--
ALTER TABLE `fluency_comprehension_formative_complexity_bands`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `fluency_comprehension_formative_questions_answers`
--
ALTER TABLE `fluency_comprehension_formative_questions_answers`
  ADD PRIMARY KEY (`formative_question_answer_id`);

--
-- Indexes for table `fluency_comprehension_formative_test_results`
--
ALTER TABLE `fluency_comprehension_formative_test_results`
  ADD PRIMARY KEY (`test_result_id`);

--
-- Indexes for table `fluency_comprehension_summative_paragraphs_questions`
--
ALTER TABLE `fluency_comprehension_summative_paragraphs_questions`
  ADD PRIMARY KEY (`summative_paragraph_question_id`);

--
-- Indexes for table `fluency_comprehension_summative_questions_answers`
--
ALTER TABLE `fluency_comprehension_summative_questions_answers`
  ADD PRIMARY KEY (`summative_question_id`);

--
-- Indexes for table `fluency_comprehension_summative_test_results`
--
ALTER TABLE `fluency_comprehension_summative_test_results`
  ADD PRIMARY KEY (`test_result_id`);

--
-- Indexes for table `sentences`
--
ALTER TABLE `sentences`
  ADD PRIMARY KEY (`sentence_id`);

--
-- Indexes for table `sentence_fluency_test_results`
--
ALTER TABLE `sentence_fluency_test_results`
  ADD PRIMARY KEY (`test_result_id`);

--
-- Indexes for table `spelling_summative_test_results`
--
ALTER TABLE `spelling_summative_test_results`
  ADD PRIMARY KEY (`test_result_id`);

--
-- Indexes for table `spelling_summative_words`
--
ALTER TABLE `spelling_summative_words`
  ADD PRIMARY KEY (`spelling_summative_word_id`);

--
-- Indexes for table `student_teachers`
--
ALTER TABLE `student_teachers`
  ADD PRIMARY KEY (`student_teachers_id`);

--
-- Indexes for table `student_teacher_email_tokens`
--
ALTER TABLE `student_teacher_email_tokens`
  ADD PRIMARY KEY (`email_token_id`);

--
-- Indexes for table `test_results`
--
ALTER TABLE `test_results`
  ADD PRIMARY KEY (`test_result_id`);

--
-- Indexes for table `tokens`
--
ALTER TABLE `tokens`
  ADD PRIMARY KEY (`token_id`),
  ADD UNIQUE KEY `unique_token` (`unique_token`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admin`
--
ALTER TABLE `admin`
  MODIFY `admin_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `fluency_comprehension_formative_complexity_bands`
--
ALTER TABLE `fluency_comprehension_formative_complexity_bands`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `fluency_comprehension_formative_questions_answers`
--
ALTER TABLE `fluency_comprehension_formative_questions_answers`
  MODIFY `formative_question_answer_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=131;

--
-- AUTO_INCREMENT for table `fluency_comprehension_formative_test_results`
--
ALTER TABLE `fluency_comprehension_formative_test_results`
  MODIFY `test_result_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `fluency_comprehension_summative_paragraphs_questions`
--
ALTER TABLE `fluency_comprehension_summative_paragraphs_questions`
  MODIFY `summative_paragraph_question_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT for table `fluency_comprehension_summative_questions_answers`
--
ALTER TABLE `fluency_comprehension_summative_questions_answers`
  MODIFY `summative_question_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `fluency_comprehension_summative_test_results`
--
ALTER TABLE `fluency_comprehension_summative_test_results`
  MODIFY `test_result_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sentences`
--
ALTER TABLE `sentences`
  MODIFY `sentence_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT for table `sentence_fluency_test_results`
--
ALTER TABLE `sentence_fluency_test_results`
  MODIFY `test_result_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `spelling_summative_test_results`
--
ALTER TABLE `spelling_summative_test_results`
  MODIFY `test_result_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `spelling_summative_words`
--
ALTER TABLE `spelling_summative_words`
  MODIFY `spelling_summative_word_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=81;

--
-- AUTO_INCREMENT for table `student_teachers`
--
ALTER TABLE `student_teachers`
  MODIFY `student_teachers_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=59;

--
-- AUTO_INCREMENT for table `student_teacher_email_tokens`
--
ALTER TABLE `student_teacher_email_tokens`
  MODIFY `email_token_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=52;

--
-- AUTO_INCREMENT for table `test_results`
--
ALTER TABLE `test_results`
  MODIFY `test_result_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tokens`
--
ALTER TABLE `tokens`
  MODIFY `token_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=107;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
