/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const  fluency_comprehension_formative_questions_answers=sequelize.define('fluency_comprehension_formative_questions_answers',{
	formative_question_answer_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	assessment_type:{ type:Sequelize.STRING },
	grade:{ type:Sequelize.STRING },
    complexity_band:{ type:Sequelize.STRING },
    lexile_level:{ type:Sequelize.STRING },
	paragraph_sequence:{ type:Sequelize.INTEGER },
	paragraph_id:{ type:Sequelize.STRING },
	paragraph_text:{ type:Sequelize.TEXT },
	question_no:{ type:Sequelize.INTEGER },
	question_text:{ type:Sequelize.TEXT },
	correct_answer:{ type:Sequelize.STRING },
	is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=fluency_comprehension_formative_questions_answers;