/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const fluency_comprehension_summative_paragraphs_questions_schema=sequelize.define('fluency_comprehension_summative_paragraphs_questions',{
	summative_paragraph_question_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	assessment_type:{ type:Sequelize.STRING },
	grade:{ type:Sequelize.STRING },
	session:{ type:Sequelize.STRING },
	complexity_band:{ type:Sequelize.STRING },
	lexile_level:{ type:Sequelize.STRING },
	paragraph_sequence:{ type:Sequelize.INTEGER },
	paragraph_id:{ type:Sequelize.STRING },
	question1:{ type:Sequelize.STRING },
	question2:{ type:Sequelize.STRING },
	question3:{ type:Sequelize.STRING },
	question4:{ type:Sequelize.STRING },
	question5:{ type:Sequelize.STRING },
	is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=fluency_comprehension_summative_paragraphs_questions_schema;