/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const spelling_summative_test_results=sequelize.define('spelling_summative_test_results',{
	test_result_id: {
		type: Sequelize.INTEGER,
		primaryKey: true,
		autoIncrement: true
	},
	student_teachers_id:{ type:Sequelize.INTEGER },
	student_id:{ type:Sequelize.STRING },
	test_name:{ type:Sequelize.STRING },
	student_name:{ type:Sequelize.STRING },
	student_teachers_name:{ type:Sequelize.STRING },
	student_teachers_email_address:{ type:Sequelize.STRING },
	student_grade_level:{ type:Sequelize.STRING },
    session:{ type:Sequelize.STRING },
    spelling_summative_word_id:{ type:Sequelize.INTEGER },
    word:{ type:Sequelize.STRING },
    student_answer:{ type:Sequelize.STRING },
	is_correct_answer:{ type:Sequelize.TINYINT },
	is_current_test: { type:Sequelize.TINYINT },
	createdAt:{ type:Sequelize.DATE },
	updatedAt:{ type:Sequelize.DATE }
});
module.exports=spelling_summative_test_results;