/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const spelling_summative_words_schema=sequelize.define('spelling_summative_words',{
    spelling_summative_word_id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true
    },
    stage:{ type:Sequelize.INTEGER },
    word_id:{ type:Sequelize.INTEGER },
    category:{ type:Sequelize.INTEGER },
    word:{ type:Sequelize.STRING },
    audio:{ type:Sequelize.TEXT },
    is_active:{ 
		type:Sequelize.TINYINT,
		defaultValue: 1
	 },
	is_deleted:{ 
		type:Sequelize.TINYINT,
		defaultValue: 0
	},
    createdAt:{ type:Sequelize.DATE },
    updatedAt:{ type:Sequelize.DATE }
});
module.exports=spelling_summative_words_schema;