/*requiring ORM*/
const Sequelize=require('sequelize');
//import db configure file
const sequelize=require('../../config/database').sequelize;
const user_accounts_verify_emails_schema=sequelize.define('student_teacher_email_tokens',{
	email_token_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
	},
	student_teachers_id:{ type: Sequelize.INTEGER },
	email:{ type: Sequelize.STRING },
	unique_key:{ type: Sequelize.STRING },
	token_type:{ type: Sequelize.ENUM('forgot_password','account_verify') },
	createdAt:{ type: Sequelize.DATE },
	updatedAt:{ type: Sequelize.DATE }
});
module.exports=user_accounts_verify_emails_schema;